<?php
/****************************************************************
* Aeva Media													*
*  Noisen.com & SMF-Media.com									*
*****************************************************************
* Aeva.template.php												*
*****************************************************************
* Users of this software are bound by the terms of the			*
* Aeva Media license. You can view it in the license_am.txt		*
* file, or online at http://noisen.com/license-am2.php			*
*																*
* Support and updates for this software can be found at			*
* http://aeva.noisen.com and http://smf-media.com				*
****************************************************************/

function template_aeva_popup_above()
{
}

function template_aeva_popup_below()
{
}

function template_aeva_above()
{
	global $context, $txt, $amSettings, $scripturl, $settings, $shown_linktree, $user_info;

	// Show Aeva Media tabs, except if not inside the gallery itself or if uploading via a popup
	if (empty($context['current_board']) && !isset($_REQUEST['noh']))
	{
	}

	// Any unapproved stuff?
	if (aeva_allowedTo('moderate') && (!empty($amSettings['num_unapproved_items']) || !empty($amSettings['num_unapproved_comments']) || !empty($amSettings['num_unapproved_albums'])))
	{
		echo '
	<div class="unapproved_notice">';
		if (!empty($amSettings['num_unapproved_items']))
			printf($txt['aeva_unapproved_items_notice'] . '<br />', $scripturl.'?action=media;area=moderate;sa=submissions;filter=items;'.$context['session_var'].'='.$context['session_id'], $amSettings['num_unapproved_items']);
		if (!empty($amSettings['num_unapproved_comments']))
			printf($txt['aeva_unapproved_coms_notice'] . '<br />', $scripturl.'?action=media;area=moderate;sa=submissions;filter=coms;'.$context['session_var'].'='.$context['session_id'], $amSettings['num_unapproved_comments']);
		if (!empty($amSettings['num_unapproved_albums']))
			printf($txt['aeva_unapproved_albums_notice'], $scripturl.'?action=media;area=moderate;sa=submissions;filter=albums;'.$context['session_var'].'='.$context['session_id'], $amSettings['num_unapproved_albums']);
		echo '</div>';
	}

	// Any reported stuff?
	if (aeva_allowedTo('moderate') && (!empty($amSettings['num_reported_items']) || !empty($amSettings['num_reported_comments'])))
	{
		echo '
	<div class="unapproved_notice">';
		if (!empty($amSettings['num_reported_items']))
			printf($txt['aeva_reported_items_notice'] . '<br />', $scripturl.'?action=media;area=moderate;sa=reports;items;'.$context['session_var'].'='.$context['session_id'], $amSettings['num_reported_items']);
		if (!empty($amSettings['num_reported_comments']))
			printf($txt['aeva_reported_comments_notice'] . '<br />', $scripturl.'?action=media;area=moderate;sa=reports;comments;'.$context['session_var'].'='.$context['session_id'], $amSettings['num_reported_comments']);
		echo '</div>';
	}

	// Any further data to show?
	if (!empty($context['aeva_header']['data']['description']))
	{
		if ($context['is_smf2'])
			echo '
	<div class="cat_bar cat_heading">
		<h3 class="catbg">
			', !isset($context['aeva_header']['data']['title']) ? $txt['aeva_title'] : $context['aeva_header']['data']['title'], '
		</h3>
	</div>
	<p class="windowbg description">
		', $context['aeva_header']['data']['description'], '
	</p>';
		else
			echo '
	<div class="subheader">
		<h4 class="catbg" style="margin: 0">', !isset($context['aeva_header']['data']['title']) ? $txt['aeva_title'] : $context['aeva_header']['data']['title'], '</h4>
		<p class="windowbg smalltext">', $context['aeva_header']['data']['description'], '</p>
	</div>';
	}

	template_aeva_show_subtabs();
}

function template_aeva_show_subtabs()
{
	global $context;

	// area-tabs maybe?
	if (!empty($context['aeva_header']['areatabs']))
	{
		$buttons = array();
		foreach ($context['aeva_header']['areatabs'] as $tab)
			$buttons[] = array(
				'text' => $tab['title'],
				'url' => $tab['url'],
				'custom' => $tab['active'] ? ' class="currentbutton"' : '',
			);
		aeva_button_strip($buttons, 'top');
	}

	// sub-tabs maybe?
	if (!empty($context['aeva_header']['subtabs']))
	{
		$buttons = array();
		foreach ($context['aeva_header']['subtabs'] as $tab)
			$buttons[] = array(
				'text' => $tab['title'],
				'url' => $tab['url'],
				'custom' => $tab['active'] ? ' class="currentbutton"' : '',
			);
		aeva_button_strip($buttons);
	}
}

function aeva_button_strip(&$buttons, $direction = 'bottom', $a_la_smf2 = false)
{
	global $context, $settings;

	if ($context['is_smf2'] && $a_la_smf2 && substr($settings['theme_url'], -8) == '/default')
		echo '
		<div class="buttonlist align_right" style="overflow: auto">', template_button_strip($buttons, $direction), '
		</div>';
	elseif ($context['is_smf2'])
		echo '
		<div style="margin-left: 10px; overflow: auto">', template_button_strip($buttons, $direction), '
		</div>';
	else
		echo '
		<table cellpadding="0" cellspacing="0" border="0">
			<tr>', template_button_strip($buttons, $direction), '</tr>
		</table>';
}

function template_aeva_home()
{
	global $context, $amSettings, $txt, $galurl, $scripturl, $settings;

	$has_albums = count($context['aeva_albums']) > 0;
	$can_rss = empty($amSettings['disable_rss']);

	// The Albums!
	echo '
	<div data-role="navbar">
		<ul>
			<li><a href="', $galurl, '" class="ui-btn-active"><img src="'.$settings['images_aeva'].'/house.png" alt="" /> '.$txt['aeva_home'].'</a></li>
			<li><a href="'.$galurl.'sa=vua"><img src="'.$settings['images_aeva'].'/album.png" alt="" /> '.$txt['aeva_albums'].'</a></li>
			<li><a href="'.$galurl.'sa=stats"><img src="'.$settings['images_aeva'].'/chart_bar.png" alt="" /> '.$txt['aeva_stats'].'</a></li>', aeva_allowedTo('access_unseen') ? '
			<li><a href="'.$galurl.'sa=unseen"><img src="'.$settings['images_aeva'].'/eye.png" alt="" /> '.$txt['aeva_unseen'] . (empty($user_info['aeva_unseen']) || $user_info['aeva_unseen'] == -1 ? '' : ' [<b>' . $user_info['aeva_unseen'] . '</b>]') . '</a></li>' : '', '
		</ul>
	</div>', !empty($context['aeva_welcome']) ? '
	<div id="aeva_welcome" class="ui-body ui-body-c">' . $context['aeva_welcome'] . '</div>' : '', '';

	$context['aeva_windowbg'] = '';
	echo '
		<ul data-role="listview" data-inset="true">
			<li data-role="list-divider">', $txt['aeva_albums'], '</li>';
	if ($has_albums)
	{
		template_aeva_li_albums($context['aeva_albums']);
	}
	echo '
		</ul>';
	//	aeva_listChildren($context['aeva_albums']);

	echo "\n";
	$view = isset($_REQUEST['fw']) ? 'file' : 'normal';
}
function template_aeva_li_albums($albums)
{
	global $settings, $txt, $galurl, $user_info;
	foreach ($albums as $album)
	{
		$it1 = $album['num_items'];
		$it2 = $album['overall_total'] - $it1;
		$totals = $it1 == 0 ? ($it2 == 0 ? $txt['aeva_no_items'] : $it2 . ' ' . $txt['aeva_lower_item' . ($it2 == 1 ? '' : 's')]) : $it1 . ' ' . $txt['aeva_lower_item' . ($it1 == 1 ? '' : 's')];
		$totals .= $it2 == 0 ? '' : sprintf($it1 == 0 ? $txt['aeva_items_only_in_children'] : $txt['aeva_items_also_in_children'], $it2);
		$can_moderate = aeva_allowedTo('moderate');
		$can_moderate_here = $can_moderate || (!$user_info['is_guest'] && $user_info['id'] == $album['owner']['id']);

		echo '
			<li data-theme="c"><a href="', $galurl, 'sa=album;in=', $album['id'], '" style="font-size: 1.2em;">
				<img src="', $album['icon']['url'], '" alt="" style="border-radius: 0; -moz-border-radius: 0; -webkit-border-radius: 0;"/>
				<h3>', !empty($album['featured']) ? '
					<img alt="" src="' . $settings['images_aeva'] . '/star.gif" title="' . $txt['aeva_featured_album'] . '" /> ' : '', 
					$album['name'], '</h3>
				<p><span style="font-style: italic;">', $totals, '</span><br /><br />', $album['description'], '</p>
							</a></li>';
	}
}

function template_aeva_viewItem()
{
	global $galurl, $context, $amSettings, $txt, $scripturl, $settings, $boardurl, $user_info, $amFunc, $sites, $amSettings;

	$item = $context['item_data'];

	if ($item['type'] == 'video' || $item['type'] == 'audio')
	{
		$media_handler = new aeva_media_handler;
		$media_handler->init($amSettings['data_dir_path'] . '/' . $item['directory'] . '/' . aeva_getEncryptedFilename($item['filename'], $item['id_file']));
		$mime = $media_handler->getMimeFromExt($item['filename']);

		if ($mime == 'video/mp4' || $mime == 'video/x-m4v')
		{
			$width = !empty($item['width']) ? $item['width'] : 500;
			$height = !empty($item['height']) ? $item['height'] : 450;

			$item['embed_object'] = '<video width="' . $width . '" height="' . $height . '" src="' . $galurl . 'sa=media;in=' . $item['id_media'] . '" controls="controls"></video>';
		}
		elseif ($mime == 'audio/mpeg' || $mime == 'application/ogg' || $mime == 'audio/wav')
			$item['embed_object'] = '<audio src="' . $galurl . 'sa=media;in=' . $item['id_media'] . '" controls="controls"></audio>';
	}
	elseif ($item['type'] == 'embed')
	{
		$link = preg_replace(array('~\[url=([^]]*)][^[]*\[/url]~', '~\[url]([^[]*)\[/url]~'), '$1', $item['embed_url']);
		foreach ($sites as $arr)
			if (($arr['title'] == 'YouTube' || $arr['title'] == 'Dailymotion') && 
				preg_match('`^' . (isset($arr['pattern']) ? $arr['pattern'] : $arr['embed-pattern']) . '`i' . ($context['utf8'] ? 'u' : ''), $link, $matches))
				$item['embed_object'] = '<iframe type="text/html" src="' . ($arr['title'] == 'YouTube' ? 'http://youtube.com/embed/' : 'http://dailymotion.com/embed/video/') .  $matches[1] . '" frameborder="0" width="640" height="385" ></iframe>';
	}

	echo '
		<script type="text/javascript">
			$("div").live("pagebeforeshow", function()
			{
				var e = $("#embed_container");
				var $item = $("img", e).length > 0 ? $("img", e) : ($("iframe", e).length > 0 ? $("iframe", e) : $("video", e));
				if ($item.size() > 0 && $item.width() > ($(document.body).width() - 100))
				{
					var ow = $item.width();
					var oh = $item.height();
					var or = ($(document.body).width() - 100) / ow;

					$item.width($item.width() * or);
					$item.height($item.height() * or);
				}
				if ($("img", e).length > 0)
				{
					$("img", e).parent().attr("target", "_blank");
				}
			});
		</script>
		<div class="ui-grid-b" style="width: 100%;">
			<div class="ui-block-a" style="width: 9%;">
				<a href="' . ((int) $item['prev'] > 0 ? $galurl.'sa=item;in='.$item['prev'] : '#') .'" ' . ((int) $item['prev'] <= 0 ? 'data-theme="c"' : '') . ' data-role="button" data-inline="true"data-icon="arrow-l" data-iconpos="notext">'. $txt['aeva_prev'] . '</a>
			</div>
			<div class="ui-block-b" style="font-size: 1.5em; font-weight: bold; text-align: center; width: 80%;">', $item['title'], '</div>
			<div class="ui-block-c" style="text-align: right; width: 9%;">
				<a href="'. ((int) $item['next'] > 0 ? $galurl.'sa=item;in='.$item['next'] : '#') .'" ' . ((int) $item['next'] <= 0 ? 'data-theme="c"' : '') . ' data-role="button" data-inline="true" data-icon="arrow-r" data-iconpos="notext">'.$txt['aeva_next'].'</a>
			</div>
		</div><br /><br />';

	$desc_len = strlen($item['description']);
	echo '
		<div class="aeva_image" id="embed_container">', $item['embed_object'], $item['is_resized'] ? '
			<div class="mg_subtext" style="padding-top: 6px">' . $txt['aeva_resized'] . '</div>' : '', '
		</div>', !empty($item['description']) ? '
		<div style="width: 100%; text-align: center; margin-top: 10px;">' . $item['description'] . '</div>
		<br />' : '';

	if (!$item['approved'] && ($item['member']['id'] == $user_info['id']) && !aeva_allowedTo('moderate') && !aeva_allowedTo('auto_approve_item'))
		echo '
		<div class="ui-body ui-body-e unapproved_yet">', $txt['aeva_will_be_approved'], '</div>';

	if (!$item['approved'] && (aeva_allowedTo('moderate') || aeva_allowedTo('auto_approve_item')))
		echo '
		<div class="ui-body ui-body-e unapproved_yet">', $txt['aeva_approve_this'], '</div>';

	// Comments!
	echo '
		<ul data-role="listview" data-inset="true">
			<li data-role="list-divider" data-icon="plus" data-theme="b">', $txt['aeva_comments'], '
				<a href="'.$galurl.'sa=comment;in='.$item['id_media'].'"></a>
			</li>';

	$alternative = false;
	foreach ($item['comments'] as $c)
	{
		$alternative = !$alternative;
		echo '
			<li data-theme="c">
				<span style="font-size: 1.1em; font-weight: normal;">', $txt['aeva_comment'], ' #', $c['counter'], ' ', $txt['by'], ' ', $c['member']['name'], ' ', $txt['at'], ' ', $c['posted_on'], ' :</span><br /><br />
				<span style="font-weight: normal;">', $c['message'], '</span>
			</li>';
	}
	if (!empty($item['comments']))
		$context['aeva_page_index'] = $item['com_page_index'];

	echo '
		</ul>';

	echo '
		<ul data-role="listview" data-inset="true">
			<li data-role="list-divider">', $txt['aeva_item_info'], '</li>', empty($item['member']['id']) ? '
			<li>' . $txt['guest'] . '</li>' : '
			<li class="aeva_member">
				' . (!empty($item['member']['avatar']['image']) ? $item['member']['avatar']['image'] : '<img src="' . $settings['images_url'] . '/default_avatar.png" alt="" />') .
				$item['member']['link'] . '
				<p>
					' . (!empty($item['member']['group']) ? $item['member']['group'] . '<br />': '') . '
					' . $txt['aeva_total_items'] . ': ' . $item['member']['aeva']['total_items'] . '<br />
					' . $txt['aeva_total_comments'] . ': ' . $item['member']['aeva']['total_comments'] . '
				</p>
			</li>
			<li>
				', $txt['aeva_posted_on'], ' : ', timeformat($item['time_added']), '
			</li>', !empty($item['width']) && !empty($item['height']) ? '
			<li>' . $txt['aeva_width'] . ' x ' . $txt['aeva_height'] . ' : ' . $item['width'] . ' x ' . $item['height'] . '</li>' : '', '
			<li>
				', $txt['aeva_filesize'], ' : ', $item['filesize'], '
			</li>
			<li>
				', $txt['aeva_filename'], ' : ', $item['filename'], '
			</li>
			<li>
				', $txt['aeva_views'], ' : ', $item['views'], '
			</li>
			<li>
				', $txt['aeva_downloads'], ' : ', $item['downloads'], '
			</li>';
	if ((!empty($item['keyword_list']) && implode('', $item['keyword_list']) != '') || !empty($item['keywords']))
	{
		echo '
			<li>', $txt['aeva_keywords'], ' :';
		$tag_list = '';
		if (!empty($item['keyword_list']))
		{
			foreach ($item['keyword_list'] as $tag)
				if (!empty($tag))
					$tag_list .= '<b>' . $tag . '</b>, ';
		}
		else
			echo $item['keywords'];
		echo substr($tag_list, 0, strlen($tag_list) - 2) . '</li>';
	}

	foreach ($item['custom_fields'] as $field)
	{
		if (!empty($field['value']))
		{
			echo '
			<li>
				', $field['name'], ' : ';
			if ($field['searchable'])
			{
				$build_list = '';
				foreach ($field['value'] as $val)
					$build_list .= '' . $amFunc['htmlspecialchars']($val) . ', ';
				echo substr($build_list, 0, -2);
				unset($build_list);
			}
			else
				echo substr($field['value'], 0, 7) == 'http://' ? '' . $amFunc['htmlspecialchars']($field['value']) . '' : $field['value'];
			echo '
			</li>';
		}
	}

	if ($amSettings['show_extra_info'] == 1)
	{
		echo '
			<li data-role="list-divider">', $txt['aeva_extra_info'], '</li>';

		if (empty($item['extra_info']))
			echo '
			<li>', $txt['aeva_exif_not_available'], '</li>';
		else
		{
			foreach ($item['extra_info'] as $info => $data)
				if (!empty($data))
					echo '
			<li>', $txt['aeva_exif_'.$info], ' : ', $data, '</li>';
		}
	}

	if ($amSettings['show_linking_code'])
	{
		echo '
			<li data-role="list-divider">Embedding</li>
			<li>
				', $txt['aeva_embed_bbc'], ' :
					<input id="bbc_embed" type="text" size="56" value="[smg id=' . $item['id_media'] . ($item['type'] == 'image' ? '' : ' type=av') . ']" onclick="return selectText(this);" readonly="readonly" />
			</li>';

		// Don't show html/direct links if the helper file was deleted
		if ($amSettings['show_linking_code'] == 1)
		{
			if (strpos($item['embed_object'], 'swfobject.embedSWF') === false)
				echo '
			<li>', $txt['aeva_embed_html'], ' :
			<input id="html_embed" type="text" size="60" value="', $item['type'] == 'image' ?
						htmlspecialchars('<img src="' . $boardurl . '/MGalleryItem.php?id=' . $item['id_media'] . '" alt="" />') :
						htmlspecialchars(trim(preg_replace('/[\t\r\n]+/', ' ', $item['embed_object']))), '" onclick="return selectText(this);" readonly="readonly" />
			</li>';
			if ($item['type'] != 'embed')
				echo '
			<li>' . $txt['aeva_direct_link'] . ' :
					<input id="direct_link" type="text" size="60" value="' . $boardurl . '/MGalleryItem.php?id=' . $item['id_media'] . '" onclick="return selectText(this);" readonly="readonly" />
			</li>';
		}
	}

	echo '
		</ul>';

	echo '
		<ul data-role="listview" data-inset="true">
			<li data-role="list-divider">Item actions</li>
		', $item['can_report'] ? '
			<li>
				<img alt="" src="'.$settings['images_aeva'].'/report.png" class="ui-li-icon" />
				<a href="'.$galurl.'sa=report;type=item;in='. $item['id_media'].'">&nbsp;' . $txt['aeva_report_this_item'] . '</a></li>' : '';

	if ($item['can_edit'])
		echo '
			<li>
				<img alt="" src="'.$settings['images_aeva'].'/camera_edit.png" class="ui-li-icon"/>
				<a href="'.$galurl.'sa=post;in='.$item['id_media'].'">&nbsp;' . $txt['aeva_edit_this_item'] . '</a>
			</li>
			<li>
				<img alt="" src="'.$settings['images_aeva'].'/delete.png" class="ui-li-icon" />
				<a href="'.$galurl.'sa=delete;in='.$item['id_media'].'" class="confirm" title="', $txt['aeva_confirm'], '">&nbsp;' . $txt['aeva_delete_this_item'] . '</a>
			</li>';

	echo
		aeva_allowedTo('download_item') && $item['type'] != 'embed' ? '
			<li>
				<img alt="" src="'.$settings['images_aeva'].'/download.png" class="ui-li-icon" />
				<a href="'.$galurl.'sa=media;in='.$item['id_media'].';dl">&nbsp;' . $txt['aeva_download_this_item'] . '</a>
			</li>' : '';

	$un = $item['approved'] ? 'un' : '';
	if ($item['can_approve'])
		echo '
			<li>
				<img alt="" src="', $settings['images_aeva'], '/', $un, 'tick.png" class="ui-li-icon" />
				<a href="', $galurl, 'sa=', $un, 'approve;in=', $item['id_media'], '">&nbsp;', $txt['aeva_admin_' . $un . 'approve'], '</a>
			</li>';
	if (aeva_allowedTo('comment'))
		echo '
			<li>
				<img alt="" src="', $settings['images_aeva'], '/comment.png" class="ui-li-icon" />
				<a href="'.$galurl.'sa=comment;in='.$item['id_media'].'">', $txt['aeva_comment'], '</a>
			</li>';
	echo '
		</ul>';

	if (isset($item['playlists'], $item['playlists']['current']) && function_exists('aeva_foxy_show_playlists'))
		template_aeva_foxy_show_playlists($item['id_media'], $item['playlists']);
}
function template_aeva_foxy_show_playlists($id, $pl)
{
	global $txt, $galurl, $user_info, $context, $settings, $scripturl;

	if (!empty($pl['mine']))
	{
		echo '
			<h3>', $txt['aeva_add_to_playlist'], '</h3>
			<form action="' . $galurl . 'sa=item;in=', $id, '" method="post">
				<div class="ui-grid-a">
					<div class="ui-block-a">
						<select name="add_to_playlist" id="add_to_playlist">';

		foreach ($pl['mine'] as $p)
				echo '
							<option value="', $p['id'], '">', $p['name'], '</option>';

		echo '
						</select>
					</div>
					<div class="ui-block-b">
						<input type="submit" value="', $txt['aeva_submit'], '" name="submit_playlist" />
					</div>
				</div>
			</form>';
	}
	$res = 0;
	foreach ($pl['current'] as $p)
	{
		if ($res == 0)
			echo '
		<li>';
		echo '
				<strong><a href="' . $galurl . 'sa=playlists;in=' . $p['id'] . '">' . $p['name'] . '</a></strong>', empty($p['owner_id']) ? '' : '
				' . $txt['aeva_by'] . ' <a href="' . $scripturl . '?action=profile;in=' . $p['owner_id'] . ($context['is_smf2'] ? ';area' : ';sa') . '=aeva">' . $p['owner_name'] . '</a>', '
				<br /><span class="smalltext">' . $txt['aeva_items'] . ': ' . $p['num_items'] . ($p['owner_id'] != $user_info['id'] && !$user_info['is_admin'] ? '' : '<br />
				<a href="' . $galurl . 'sa=item;in=' . $id . ';premove=' . $p['id'] . ';' . $context['session_var'] . '=' . $context['session_id'] . '" style="text-decoration: none"><img alt="" src="' . $settings['images_aeva'] . '/delete.png" style="vertical-align: bottom" /> ' . $txt['aeva_delete_this_item'] . '</a>')
				. '</span>';
		if ($res == 3)
			echo '
		</lo>';
		$res = ($res + 1) % 4;
	}
	echo '
	</ul>';
}

function template_aeva_form()
{
	// This is a pretty global template used for forms like reporting, commenting, adding, editing etc.
	global $amSettings, $context, $txt, $galurl;
	static $chk = 1, $colspan = 0;

	echo '
	<form action="', $context['aeva_form_url'], '" method="post" enctype="multipart/form-data" id="aeva_form" name="aeva_form">';

	// Form headers
	if (isset($context['aeva_form_headers']))
		foreach ($context['aeva_form_headers'] as $h)
			if (!isset($h[1]) || $h[1])
				echo '
			<h3>', $h[0], '</h3>';

	// The form itself.
	$show_at_end = '';
	foreach ($context['aeva_form'] as $id => $e)
	{
		if (!isset($e['perm']) || $e['perm'])
		{
			if (isset($e['skip']))
			{
				$show_at_end .= '
					<input type="hidden" name="' . $e['fieldname'] . '" value="' . $e['value'] . '" />';
				continue;
			}

			if ($e['type'] == 'hr')
			{
				echo '
			<hr />';
				continue;
			}

			if ($e['type'] == 'title')
			{
					echo '
			<div>' . $e['label'] . '</div>';
				continue;
			}

			// If there's a text editor in the form, adjust the name/description column width accordingly.
			if ($colspan < 2)
				$alt = empty($alt) ? '2' : '';
			$valign = $e['type'] == 'textbox' || $e['type'] == 'select' || substr($e['type'], 0, 5) == 'check';

			echo '
			<div data-role="fieldcontain">
				<label for="field_' . $id . '">
					' . $e['label'] . (!empty($e['subtext']) ? '<div class="mg_subtext smalltext">' . $e['subtext'] . '</div>' : '') . '
				</label>';

			if ($e['type'] != 'title')
				switch($e['type'])
				{
					case 'text';
						echo '<input id="field_' . $id . '" type="text"', isset($e['value']) ? ' value="'.$e['value'].'"' : '', ' name="', $e['fieldname'], '" tabindex="', $context['tabindex']++, '" size="', !empty($e['size']) ? $e['size'] : 50, '"', isset($e['custom']) ? ' ' . $e['custom'] : '', ' />';
					break;
					case 'textbox';
						echo '<textarea id="field_' . $id . '" name="', $e['fieldname'], '" tabindex="', $context['tabindex']++, '"', isset($e['custom']) ? ' ' . $e['custom'] : '', '>', isset($e['value']) ? $e['value'] : '', '</textarea>';
					break;
					case 'file';
						echo '<input id="field_' . $id . '"  type="file" name="', $e['fieldname'], '" tabindex="', $context['tabindex']++, '" size="51"', isset($e['custom']) ? ' ' . $e['custom'] : '', ' />', isset($e['add_text']) ? ' ' . $e['add_text'] : '';
					break;
					case 'hidden';
						echo '<input id="field_' . $id . '" type="hidden" name="', $e['fieldname'], '" value="', $e['value'], '"', isset($e['custom']) ? ' ' . $e['custom'] : '', ' />';
					break;
					case 'small_text';
						echo '<input id="field_' . $id . '" type="text"', isset($e['value']) ? ' value="'.$e['value'].'"' : '', ' name="', $e['fieldname'], '" tabindex="', $context['tabindex']++, '" size="10"', isset($e['custom']) ? ' ' . $e['custom'] : '', ' />';
					break;
					case 'select';
						echo '<select id="field_' . $id . '" name="', $e['fieldname'], isset($e['multi']) && $e['multi'] === true ? '[]' : '', '" tabindex="', $context['tabindex']++, '"',
							isset($e['multi']) && $e['multi'] === true ? ' multiple="multiple"' . (!empty($e['size']) ? ' size="' . $e['size'] . '"' : '') : '',
							isset($e['custom']) ? ' ' . $e['custom'] : '', '>';
						foreach ($e['options'] as $value => $name)
						{
							if (is_array($name) && isset($name[2]) && ($name[2] === '' || $name[2] === 'begin'))
								echo $name[2] == 'begin' ? '<optgroup label="' . $name[0] . '">' : '</optgroup>';
							else
								echo '<option value="', $value, '"', is_array($name) && isset($name[1]) && $name[1] == true ? ' selected="selected"' : '', is_array($name) && isset($name[2]) ? $name[2] : '', '>', is_array($name) ? $name[0] : $name, '</option>';
						}
						echo '</select>';
					break;
					case 'radio';
						foreach ($e['options'] as $value => $name)
							echo '<input id="field_' . $id . '" id="radio', $chk, '" name="', $e['fieldname'], '" tabindex="', $context['tabindex']++, '" value="', $value, '"', is_array($name) && isset($name[1]) && $name[1] === true ? ' checked="checked"' : '', ' type="radio"', isset($e['custom']) ? ' ' . $e['custom'] : '', ' /> ', is_array($name) ? $name[0] : $name, '';
					break;
					case 'yesno';
						echo '<div><select id="field_' . $id . '" name="', $e['fieldname'], '" tabindex="', $context['tabindex']++, '"><option value="1"', !empty($e['value']) ? ' selected="selected"' : '', ' style="color: green">', $txt['aeva_yes'], '</option><option value="0"', empty($e['value']) ? ' selected="selected"' : '', ' style="color: red">', $txt['aeva_no'], '</option></select></div>';
					break;
					case 'passwd';
						echo '<input id="field_' . $id . '" name="', $e['fieldname'], '" tabindex="', $context['tabindex']++, '" value="', isset($e['value']) ? $e['value'] : '', '" type="password"', isset($e['custom']) ? ' ' . $e['custom'] : '', ' />';
					break;
					case 'checkbox';
					case 'checkbox_line';
						foreach ($e['options'] as $opt => $label)
						{
							if (!is_array($label) && $label == 'sep')
								echo '<hr />';
							else
								echo '<div><input type="checkbox" id="chk', $chk, '" name="', is_array($label) ?
									(!isset($label['force_name']) ? $e['fieldname'] . (isset($e['multi']) && $e['multi'] === true ? '[]' : '') : $label['force_name']) : $label,
									'" tabindex="', $context['tabindex']++, '" value="', $opt, '"', is_array($label) && isset($label[1]) && $label[1] === true ? ' checked="checked"' : '', is_array($label) && !empty($label['disabled']) ? ' disabled="disabled"' : '',
									is_array($label) && isset($label['custom']) ? ' ' . $label['custom'] : '', ' /><label for="chk', $chk++, '">&nbsp;&nbsp;', is_array($label) ? $label[0] : $label, '</label></div>';
						}
					break;
					case 'checkbox_dual'; // This one is for album creation only... ;)
						echo '<table cellpadding="4" cellspacing="0" border="0" width="100%"><thead><tr><th>', $txt['aeva_access_read'], '</th><th>', $txt['aeva_access_write'], '</th><th></th></tr></thead>';
						foreach ($e['options'] as $opt => $label)
						{
							echo '<tr>';
							if (!is_array($label))
								echo '<td colspan="3" style="padding: 1px 0 0 0; border-top: 1px dotted #aaa"></td>';
							else
							{
								for ($i = 0; $i < 2; $i++)
									echo '<td width="15" align="center"><input type="checkbox" id="chk', $chk++, '" name="',
										$opt === 'check_all' ? 'check_all_' . ($i+1) : $e['fieldname'][$i] . '[]',
										'" tabindex="', $context['tabindex']++, '" value="', $opt, '"',
										isset($label[$i+1]) && $label[$i+1] === true ? ' checked="checked"' : '',
										$opt == -1 && $i == 1 ? ' disabled="disabled"' : '',
										isset($label['custom']) ? ' ' . str_replace('$1', $e['fieldname'][$i], $label['custom']) : '', ' /></td>';
								echo '<td><label for="chk', $chk-2, '">', $label[0], '</label></td>';
							}
							echo '</tr>';
						}
						echo '</table>';
					break;
					case 'link';
						echo '<a href="', $e['link'], '">', $e['text'], '</a>', !empty($e['add_text']) ? ' ' . $e['add_text'] : '';
					break;
					case 'info';
						echo $e['value'];
					break;
				}

			echo !empty($e['next']) ? $e['next'] : '', '
			</div>';
		}
	}

	// End the form.
	echo $show_at_end, !empty($context['aeva_form']['silent']) ? '
			<input type="submit" value="' . $txt['aeva_silent_update'] .  '" name="silent_update" tabindex="' . $context['tabindex']++ . '" class="button_submit" />' : '', '
			<input type="submit" value="', $txt['aeva_submit'], '" name="submit_aeva" tabindex="', $context['tabindex']++, '" class="button_submit" />
	</form>';

	if (!empty($context['aeva_extra_data']))
		echo $context['aeva_extra_data'];
}

function template_aeva_viewAlbum()
{
	global $context, $txt, $galurl, $scripturl, $amSettings, $settings, $user_info;

	$album_data = &$context['album_data'];

	// Show some album data
	// If the big icon is too... big, then we can't round its corners. Ah well.
	echo '
		<div class="ui-grid-a">
			<div class="ui-block-a" style="width: 60px;">
				<img src="', $galurl, 'sa=media;in=', $album_data['id'], ';bigicon" width="50px" alt="" />
			</div>
			<div class="ui-block-b">
				<div class="mg_large mg_pb4">
					', !empty($album_data['passwd']) ? aeva_lockedAlbum($album_data['passwd'], $album_data['id'], $album_data['owner']) : '',
					'<span style="font-weight: bold; font-size: 1.5em;">', $album_data['name'], '</span>
				</div>', !empty($album_data['description']) ? '
				<div class="mg_desc">' . $album_data['description'] . '</div>' : '', $album_data['hidden'] ? '
				<div class="mg_hidden">' . $txt['aeva_album_is_hidden'] . '</div>' : '', '
				<div class="smalltext" style="font-style: italic;">
					', $album_data['type2'], !empty($album_data['owner']['id']) ? '
					<br />' . $txt['aeva_owner'] . ': ' . aeva_profile($album_data['owner']['id'], $album_data['owner']['name']) : '', '
				</div>
			</div>
		</div>';

	$can_moderate_here = aeva_allowedTo('moderate') || (!$user_info['is_guest'] && $user_info['id'] == $album_data['owner']['id']);
	$can_approve_here = $can_moderate_here || aeva_allowedTo('auto_approve_item');
	$can_add_playlist = !empty($context['aeva_my_playlists']);
	if ($can_edit_items = ($can_moderate_here || $context['aeva_can_add_item'] || $context['aeva_can_multi_upload']) || aeva_allowedTo('multi_download') || aeva_allowedTo('access_unseen'))
	{

		if ($context['aeva_can_add_item'])
			echo '
			<a href="', $galurl, 'sa=post;album=', $album_data['id'], '" data-role="button" data-inline="true" data-icon="plus" id="add_item">', $txt['aeva_add_item'], '</a>
			<script type="text/javascript">
				if (is_ios)
					$("#add_item").remove();
			</script>';
	}
	$can_edit_items |= $can_add_playlist;

	// Show their Sub-Albums
	if (!empty($context['aeva_sub_albums']))
	{
		echo '
			<ul data-role="listview" data-inset="true">
				<li data-role="list-divider">', $txt['aeva_sub_albums'], '</li>';
			template_aeva_li_albums($context['aeva_sub_albums']);
		echo '
			</ul>';
	}

	// Page index and sorting things
	$sort_list = array('m.id_media' => 0, 'm.time_added' => 1, 'm.title' => 2, 'm.views' => 3, 'm.weighted' => 4);
	echo '
	<ul data-role="listview" data-inset="true">
		<li data-role="list-divider" data-theme="b">
			', $txt['aeva_items'], '
			<ul data-role="listview" data-inset="true">';
	$sort = empty($sort_list[$context['aeva_sort']]) ? 0 : $sort_list[$context['aeva_sort']];
	for ($i = 0; $i < 5; $i++)
		echo '
				<li>
					', $sort == $i ? ' ' . $txt['aeva_sort_by'] . ' : ' . $txt['aeva_sort_by_' . $i] :
					'<a href="'.$galurl.'sa=album;in='.$album_data['id'] . ';sort=' . $i . ($album_data['view'] == 'normal' ? ';nw' : ';fw') . '">
						' . $txt['aeva_sort_by'] . ' : ' . $txt['aeva_sort_by_'.$i] . '
					</a>', '
				</li>';
	echo '
				<li>',
		($context['aeva_asc'] ? ' 
					' . $txt['aeva_sort_order'] . ' : ' . $txt['aeva_sort_order_asc'] : ' 
					<a href="'.$galurl.'sa=album;in='.$album_data['id'].(isset($_REQUEST['sort']) ? ';sort='.$_REQUEST['sort'] : '').';asc;' . ($album_data['view'] == 'normal' ? 'nw' : 'fw') . '">' . $txt['aeva_sort_order'] . ' : ' . $txt['aeva_sort_order_asc'] . '</a>'),
				'</li>
				<li>',
		(!$context['aeva_asc'] ? ' 
					' . $txt['aeva_sort_order'] . ' : ' . $txt['aeva_sort_order_desc'] . '</b>' : ' 
					<a href="'.$galurl.'sa=album;in='.$album_data['id'] . (isset($_REQUEST['sort']) ? ';sort=' . $_REQUEST['sort'] : '').';desc;' . ($album_data['view'] == 'normal' ? 'nw' : 'fw') . '">'.$txt['aeva_sort_order'] . ' : ' . $txt['aeva_sort_order_desc'].'</a>'), '
				</li>
			</ul>
		</li>';
		template_aeva_li_items($context['aeva_items'], true, '', 0, $can_edit_items);
	echo '
	</ul>';
}
function template_aeva_li_items($items, $albun, $dummy0, $dummy1, $dummy2)
{
	global $context, $settings, $galurl, $txt;
	$icourl = '
			<img alt="" width="10" height="10" src="' . $settings['images_aeva'] . '/';
	foreach ($items as $id => $item)
	{
		$re = $icourl . 'graph.gif" />&nbsp;' . $txt['aeva_views'] . ':&nbsp;' . $item['views'] . '&nbsp;' .
			(!empty($item['comments']) ? $icourl . 'comment.gif" />&nbsp;' . $txt['aeva_comments'] . ':&nbsp;' . $item['comments'] . (!empty($item['new_comments']) ? ' (' . $new_icon . '&nbsp;' . $i['new_comments'] . ')' : '') . '&nbsp;' : '') .
			(!empty($item['voters']) ? $icourl . 'star.gif" />&nbsp;' . $txt['aeva_rating'] . ':&nbsp;' . $item['rating'] . '&nbsp;' : '');
		echo '
		<li class="aeva_item"><a href="', $galurl, 'sa=item;in=', $id, '">
			<div class="topic_starter_info ui-li-desc">
				', ucwords($txt['by']), ' ', $item['poster_name'], ' ', $txt['on'], ' ', date('d M, Y H:i', $item['time_added']), '
			</div>
			<img src="', $item['thumb_url'], '" alt="" style="border-radius: 0; -moz-border-radius: 0; -webkit-border-radius: 0; text-align: center;"/>
			<h3>', $item['title'], '</h3>
			<p>', $item['desc'], '<br />', $re, '</p>
		</a></li>';
	}
}
function template_aeva_unseen()
{
	global $context, $txt, $galurl, $scripturl, $settings;

	echo '
	<div data-role="navbar">
		<ul>
			<li><a href="', $galurl, '"><img src="'.$settings['images_aeva'].'/house.png" alt="" /> '.$txt['aeva_home'].'</a></li>
			<li><a href="'.$galurl.'sa=vua"><img src="'.$settings['images_aeva'].'/album.png" alt="" /> '.$txt['aeva_albums'].'</a></li>
			<li><a href="'.$galurl.'sa=stats"><img src="'.$settings['images_aeva'].'/chart_bar.png" alt="" /> '.$txt['aeva_stats'].'</a></li>', aeva_allowedTo('access_unseen') ? '
			<li><a href="'.$galurl.'sa=unseen" class="ui-btn-active"><img src="'.$settings['images_aeva'].'/eye.png" alt="" /> '.$txt['aeva_unseen'] . (empty($user_info['aeva_unseen']) || $user_info['aeva_unseen'] == -1 ? '' : ' [<b>' . $user_info['aeva_unseen'] . '</b>]') . '</a></li>' : '', '
		</ul>
	</div>
	<ul data-role="listview" data-inset="true">
		<li data-role="list-divider">
			', $txt['aeva_unseen'], '
		</li>
		', template_aeva_li_items($context['aeva_items']), '
	</ul>';
}

function template_aeva_viewUserAlbums()
{
	global $txt, $context, $scripturl, $galurl, $amSettings, $settings, $user_info;

	// The Albums!
	echo '
	<div data-role="navbar">
		<ul>
			<li><a href="', $galurl, '"><img src="'.$settings['images_aeva'].'/house.png" alt="" /> '.$txt['aeva_home'].'</a></li>
			<li><a href="'.$galurl.'sa=vua" class="ui-btn-active"><img src="'.$settings['images_aeva'].'/album.png" alt="" /> '.$txt['aeva_albums'].'</a></li>
			<li><a href="'.$galurl.'sa=stats"><img src="'.$settings['images_aeva'].'/chart_bar.png" alt="" /> '.$txt['aeva_stats'].'</a></li>', aeva_allowedTo('access_unseen') ? '
			<li><a href="'.$galurl.'sa=unseen"><img src="'.$settings['images_aeva'].'/eye.png" alt="" /> '.$txt['aeva_unseen'] . (empty($user_info['aeva_unseen']) || $user_info['aeva_unseen'] == -1 ? '' : ' [<b>' . $user_info['aeva_unseen'] . '</b>]') . '</a></li>' : '', '
		</ul>
	</div>';

	$colspan = (isset($amSettings['album_columns']) ? max(1, (int) $amSettings['album_columns']) : 1) * 2;

	$can_rss = empty($amSettings['disable_rss']);
	foreach ($context['aeva_user_albums'] as $id => $album)
	{
		$first = current($album);
		echo '
	<ul data-role="listview" data-inset="true">
		<li data-role="list-divider">', $txt['aeva_owner'], ' : ', $first['owner']['name'], '</li>';

		template_aeva_li_albums($album);
		echo '
	</ul>';
	}
}

function template_aeva_stats()
{
	global $txt, $galurl, $context, $scripturl, $settings;

	$stats = $context['aeva_stats'];

	// Show the general stats
	echo '
	<div data-role="navbar">
		<ul>
			<li><a href="', $galurl, '"><img src="'.$settings['images_aeva'].'/house.png" alt="" /> '.$txt['aeva_home'].'</a></li>
			<li><a href="'.$galurl.'sa=vua"><img src="'.$settings['images_aeva'].'/album.png" alt="" /> '.$txt['aeva_albums'].'</a></li>
			<li><a href="'.$galurl.'sa=stats" class="ui-btn-active"><img src="'.$settings['images_aeva'].'/chart_bar.png" alt="" /> '.$txt['aeva_stats'].'</a></li>', aeva_allowedTo('access_unseen') ? '
			<li><a href="'.$galurl.'sa=unseen"><img src="'.$settings['images_aeva'].'/eye.png" alt="" /> '.$txt['aeva_unseen'] . (empty($user_info['aeva_unseen']) || $user_info['aeva_unseen'] == -1 ? '' : ' [<b>' . $user_info['aeva_unseen'] . '</b>]') . '</a></li>' : '', '
		</ul>
	</div>
	<ul data-role="listview" data-inset="true" class="ui-statlist">
		<li data-role="list-divider">
			<img alt="" src="', $settings['images_aeva'], '/chart_pie.png" class="ui-li-icon">
			<span>', $txt['aeva_gen_stats'], '</span>
		</li>
		<li>
			<img alt="" src="', $settings['images_aeva'], '/images.png" class="ui-li-icon" />
			<span>', $txt['aeva_total_items'], ' : ', $stats['total_items'], '</span>
		</li>
		<li>
			<img alt="" src="', $settings['images_aeva'], '/comments.png" class="ui-li-icon" />
			<span>', $txt['aeva_total_comments'], ' : ', $stats['total_comments'], '</span>
		</li>
		<li>
			<img alt="" src="', $settings['images_aeva'], '/folder_image.png" class="ui-li-icon" />
			<span>', $txt['aeva_total_albums'], ' : ', $stats['total_albums'], '</span>
		</li>
		<li>
			<img alt="" src="', $settings['images_aeva'], '/group.png" class="ui-li-icon" />
			<span>', $txt['aeva_total_featured_albums'], ' : ', $stats['total_featured_albums'], '</span>
		</li>
		<li>
			<img alt="" src="', $settings['images_aeva'], '/images.png" class="ui-li-icon" />
			<span>', $txt['aeva_avg_items'], ' : ', $stats['avg_items'], '</span>
		</li>
		<li>
			<img alt="" src="', $settings['images_aeva'], '/comments.png" class="ui-li-icon" />
			<span>', $txt['aeva_avg_comments'], ' : ', $stats['avg_comments'], '</span>
		</li>
		<li>
			<img alt="" src="', $settings['images_aeva'], '/user.png" class="ui-li-icon" />
			<span>', $txt['aeva_total_item_contributors'], ' : ', $stats['total_item_posters'], '</span>
		</li>
		<li>
			<img alt="" src="', $settings['images_aeva'], '/user_comment.png" class="ui-li-icon" />
			<span>', $txt['aeva_total_commentators'], ' : ', $stats['total_commentators'], '</span>
		</li>
	</ul>
	<ul data-role="listview" data-inset="true" class="ui-statlist">
		<li data-role="list-divider"> 
			<img alt="" src="', $settings['images_aeva'], '/user.png" class="ui-li-icon" />
			<span>', $txt['aeva_top_uploaders'], '</span>
		</li>';
	foreach ($stats['top_uploaders'] as $uploader)
		echo '
		<li>
			<span>', aeva_profile($uploader['id'], $uploader['name']), ' : ', $uploader['total_items'], '</span>
		</li>';
	echo '
	</ul>
	<ul data-role="listview" data-inset="true" class="ui-statlist">
		<li data-role="list-divider">
			<img alt="" src="', $settings['images_aeva'], '/user_comment.png" class="ui-li-icon" />
			<span>', $txt['aeva_top_commentators'], '
		</li>';

	foreach ($stats['top_uploaders'] as $uploader)
		echo '
		<li><span>', aeva_profile($uploader['id'], $uploader['name']), ' : ', $uploader['total_items'], '</span></li>';

	echo '
	</ul>
	<ul data-role="listview" data-inset="true" class="ui-statlist">
		<li data-role="list-divider">
			<img alt="" src="', $settings['images_aeva'], '/user_comment.png" class="ui-li-icon" />
			<span>', $txt['aeva_top_commentators'], '</span>
		</li>';

	foreach ($stats['top_commentators'] as $uploader)
		echo '
		<li><span>', aeva_profile($uploader['id'], $uploader['name']), ' : ', $uploader['total_comments'], '</span></li>';

	echo '
	</ul>
	<ul data-role="listview" data-inset="true" class="ui-statlist">
		<li data-role="list-divider">
			<img alt="" src="', $settings['images_aeva'], '/folder_image.png" class="ui-li-icon" />
			<span>', $txt['aeva_top_albums_items'], '</span>
		</li>';

	foreach ($stats['top_albums_items'] as $album)
		echo '
		<li>
			<span><a href="', $galurl, 'sa=album;in=', $album['id'], '">', $album['name'], '</a> : ', $album['num_items'], '</span>
		</li>';

	echo '
	</ul>
	<ul data-role="listview" data-inset="true" class="ui-statlist">
		<li data-role="list-divider">
			<img alt="" src="', $settings['images_aeva'], '/folder_table.png" class="ui-li-icon" />
			<span>', $txt['aeva_top_albums_comments'], '</span>
		</li>';

	foreach ($stats['top_albums_comments'] as $album)
		echo '
		<li>
			<span><a href="', $galurl, 'sa=album;in=', $album['id'], '">', $album['name'], '</a> : ', $album['num_comments'], '</span>
		</li>';
	echo '
	</ul>
	<ul data-role="listview" data-inset="true" class="ui-statlist">
		<li data-role="list-divider">
			<img alt="" src="', $settings['images_aeva'], '/images.png" class="ui-li-icon" />
			<span>', $txt['aeva_top_items_views'], '</span>
		</li>';

	foreach ($stats['top_items_views'] as $item)
		echo '
		<li>
			<span><a href="', $galurl, 'sa=item;in=', $item['id'], '">', $item['title'], '</a> : ', $item['views'], '</span>
		</li>';

	echo '
	</ul>
	<ul data-role="listview" data-inset="true" class="ui-statlist">
		<li data-role="list-divider">
			<img alt="" src="', $settings['images_aeva'], '/comments.png" class="ui-li-icon" />
			<span>', $txt['aeva_top_items_comments'], '</span>
		</li>';

	foreach ($stats['top_items_com'] as $item)
		echo '
		<li><span><a href="', $galurl, 'sa=item;in=', $item['id'], '">', $item['title'], '</a> : ', $item['num_com'], '</span></li>';

	echo '
	</ul>
	<ul data-role="listview" data-inset="true" class="ui-statlist">
		<li data-role="list-divider">
			<img alt="" src="', $settings['images_aeva'], '/chart_pie.png" class="ui-li-icon" />
			<span>', $txt['aeva_top_items_rating'], '</span>
		</li>';

	foreach ($stats['top_items_rating'] as $item)
		echo '
		<li><span><a href="', $galurl, 'sa=item;in=', $item['id'], '">', $item['title'], '</a> : ', $item['rating'], '</span></li>';

	echo '
	</ul>
	<ul data-role="listview" data-inset="true" class="ui-statlist">
		<li data-role="list-divider">
			<img alt="" src="', $settings['images_aeva'], '/star.gif" class="ui-li-icon" />
			<span>', $txt['aeva_top_items_voters'], '</span>
		</li>';

	foreach ($stats['top_items_voters'] as $item)
		echo '
		<li>
			<span><a href="', $galurl, 'sa=item;in=', $item['id'], '">', $item['title'], '</a> : ', $item['voters'], '</span>
		</li>';

	echo '
	</ul>';
}

function template_aeva_below()
{
	global $context;
	$context['aeva_copyright'] = true;
	//echo '<div class="smalltext" style="margin-top: 20px" align="center">', aeva_copyright(), '</div>';
}

// Profile summary template
function template_aeva_profile_summary()
{
	global $txt, $galurl, $context, $settings, $scripturl, $user_info, $galurl, $amSettings;

	$member = &$context['aeva_member'];
	$can_rss = empty($amSettings['disable_rss']);

	echo '
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="bordercolor">
			<tr>
				<td class="titlebg"><img src="', $settings['images_url'], '/admin/mgallery.png" alt="" border="0" />&nbsp;&nbsp;', $txt['aeva_profile_sum_pt'], '</td>
			</tr>
			<tr>
				<td class="windowbg smalltext" style="padding: 2ex;">', $txt['aeva_profile_sum_desc'], '</td>
			</tr>
			<tr>
				<td class="titlebg">', $txt['aeva_profile_stats'], '</td>
			</tr>
			<tr>
				<td class="windowbg2">
					', $can_rss ? '<a href="' . $galurl . 'sa=rss;user=' . $member['id'] . '"><img src="' . $settings['images_aeva'] . '/rss.png" alt="RSS" class="aeva_vera" /></a>' : '', ' <a href="', $scripturl, '?action=profile;u=', $member['id'], $context['is_smf2'] ? ';area' : ';sa', '=aevaitems">', $txt['aeva_total_items'], '</a>: ', $member['items'], '<br />
					', $can_rss ? '<a href="' . $galurl . 'sa=rss;user=' . $member['id'] . ';type=comments"><img src="' . $settings['images_aeva'] . '/rss.png" alt="RSS" class="aeva_vera" /></a>' : '', ' <a href="', $scripturl, '?action=profile;u=', $member['id'], $context['is_smf2'] ? ';area' : ';sa', '=aevacoms">', $txt['aeva_total_comments'], '</a>: ', $member['coms'], '<br />
					', $txt['aeva_avg_items'], ': ', $member['avg_items'], '<br />
					', $txt['aeva_avg_comments'], ': ', $member['avg_coms'], '<br />
				</td>
			</tr>';

	if (!empty($member['user_albums']))
	{
		echo '
			<tr>
				<td class="titlebg">', $txt['aeva_albums'], $can_rss ? ' <a href="' . $galurl . 'sa=rss;user=' . $member['id'] . ';albums"><img src="' . $settings['images_aeva'] . '/rss.png" alt="RSS" class="aeva_vera" /></a>' : '', '</td>
			</tr>
			<tr>
				<td>';

		aeva_listChildren($member['user_albums']);

		echo '
				</td>
			</tr>';
	}

	echo '
		</table>';

	if (!empty($member['recent_items']))
	{
		echo '
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="bordercolor margintop">
			<tr>
				<td class="titlebg">', $txt['aeva_recent_items'], '</td>
			</tr>
		</table>

		<div id="home">
			<div id="recent_items">',
				aeva_listItems($member['recent_items']), '
			</div>
		</div>';
	}

	if (!empty($member['top_albums']))
	{
		echo '
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="bordercolor margintop">
			<tr>
				<td class="titlebg">', $txt['aeva_top_albums'], '</td>
			</tr>
			<tr>
				<td style="padding: 0px;">
					<table cellpadding="6" cellspacing="0" width="100%" border="0">';

		foreach ($member['top_albums'] as $album)
			echo '
						<tr>
							<td class="windowbg2" width="50%"><a href="', $galurl, 'sa=album;in=', $album['id'], '">', $album['name'], '</a></td>
							<td class="windowbg2" width="40%"><div class="aeva_statsbar" style="width: ', $album['percent'], 'px;"></div></td>
							<td class="windowbg2" width="10%">', $album['total_items'], '</td>
						</tr>';

		echo '
					</table>
				</td>
			</tr>
		</table>';
	}
	template_aeva_below();
}

// Template for viewing all items from a single member
function template_aeva_profile_viewitems()
{
	global $context, $txt, $galurl, $settings;

	echo '
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="bordercolor">
			<tr>
				<td class="titlebg"><img src="', $settings['images_url'], '/admin/mgallery.png" alt="" border="0" />&nbsp;&nbsp;', $txt['aeva_profile_viewitems_pt'], '</td>
			</tr>
			<tr>
				<td class="windowbg smalltext" style="padding: 2ex;">', $txt['aeva_profile_viewitems_desc'], '</td>
			</tr>
		</table>

		<div id="home">
			<div class="pagelinks">', $txt['aeva_pages'], ': ', $context['page_index'], '</div>
			<div id="recent_items">',
				aeva_listItems($context['aeva_items']), '
			</div>
			<div class="pagelinks">', $txt['aeva_pages'], ': ', $context['page_index'], '</div>
		</div>';
	template_aeva_below();
}

// Template for viewing all items from a single member
function template_aeva_profile_viewcoms()
{
	global $context, $txt, $settings;

	echo '
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="bordercolor">
			<tr>
				<td class="titlebg"><img src="', $settings['images_url'], '/admin/mgallery.png" alt="" border="0" />&nbsp;&nbsp;', $txt['aeva_profile_viewcoms_pt'], '</td>
			</tr>
			<tr>
				<td class="windowbg smalltext" style="padding: 2ex;">', $txt['aeva_profile_viewcoms_desc'], '</td>
			</tr>
		</table>

		<div class="pagelinks">', $txt['aeva_pages'], ': ', $context['page_index'], '</div>
		<div>';

	// Recent comments!
	if (!empty($context['aeva_coms']))
	{
		foreach ($context['aeva_coms'] as $i)
			echo '
		<div class="smalltext" style="padding: 8px">
			', $txt['aeva_comment_in'], ' <a href="', $i['url'], '"><b>', $i['media_title'], '</a></b> - ',
			$txt['aeva_posted_on' . (is_numeric($i['posted_on'][0]) ? '_date' : '')], ' ', $i['posted_on'], '
			<blockquote class="windowbg comment_preview">', parse_bbc($i['msg']), '</blockquote>
		</div>';
	}

	echo '
		</div>
		<div class="pagelinks">', $txt['aeva_pages'], ': ', $context['page_index'], '</div>';
	template_aeva_below();
}

// Template for viewing all votes from a single member
function template_aeva_profile_viewvotes()
{
	global $context, $txt, $settings, $scripturl, $amFunc;

	echo '
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="bordercolor">
			<tr>
				<td class="titlebg"><img src="', $settings['images_url'], '/admin/mgallery.png" alt="" border="0" />&nbsp;&nbsp;', $txt['aeva_profile_viewvotes_pt'], '</td>
			</tr>
			<tr>
				<td class="windowbg smalltext" style="padding: 2ex;">', $txt['aeva_profile_viewvotes_desc'], '</td>
			</tr>
		</table>

		<div class="pagelinks">', $txt['aeva_pages'], ': ', $context['page_index'], '</div>
		<div style="padding: 4px 0">';

	if (!empty($context['aeva_ratingLogs']))
	{
		echo '<div class="cat_bar"><h3 class="catbg2" style="margin: 8px 0">' . $context['aeva_voter_name'] . '</h3></div>';

		foreach ($context['aeva_ratingLogs'] as $log)
		{
			echo ' <img src="' . $settings['images_aeva'] . '/star' . $log['star'] . '.gif" class="aeva_vera" alt="' . $log['star'] . '" />';
			echo '&nbsp;&nbsp;<b><a href="' . $scripturl . '?action=media;sa=item;in=' . $log['id_media'] . '">' . $log['title'] . '</a></b>';
			echo ' (<a href="' . $scripturl . '?action=media;sa=album;in=' . $log['album_id'] . '">' . $log['name'] . '</a>)';
			if (!empty($log['messages']))
				echo ' (' . $log['messages'] . ' <a href="' . $scripturl . '?topic=' . $log['id_topic'] . '.0">' . $txt['aeva_post' . ($log['messages'] > 1 ? 's' : '') . '_noun'] . '</a>)';
			echo '<br />';
		}
		echo '<br /><div class="cat_bar"><h3 class="catbg">' . $txt['aeva_voter_list'] . '</h3></div>';
		foreach ($context['aeva_otherVoters'] as $row)
			echo '<br /><a href="' . $scripturl . '?action=profile;u=' . $row['id_member'] . ($context['is_smf2'] ? ';area' : ';sa') . '=aevavotes">' . $row['real_name'] . '</a> (' . $row['co'] . ' ' . $txt['aeva_vote' . ($row['co'] > 1 ? 's' : '') . '_noun'] . ')';
	}

	echo '
		</div>
		<div class="pagelinks">', $txt['aeva_pages'], ': ', $context['page_index'], '</div>';
	template_aeva_below();
}

// Who rated what list
function template_aeva_whoRatedWhat()
{
	global $context, $txt, $settings, $galurl;

	echo '
		<table cellpadding="6" cellspacing="1" border="0" width="100%" class="bordercolor">
			<tr>
				<td colspan="3" align="center" class="windowbg2">', $txt['aeva_who_rated_what'], ' (<a href="', $galurl, 'sa=item;in=', $context['item']['id_media'], '">', $context['item']['title'], '</a>)</td>
			</tr>
			<tr>
				<td class="titlebg" width="60%">', $txt['aeva_member'], '</td>
				<td class="titlebg" width="15%">', $txt['aeva_rating'], '</td>
				<td class="titlebg" width="25%">', $txt['aeva_date'], '</td>
			</tr>
			<tr>
				<td class="windowbg2" colspan="3">', $txt['aeva_pages'], ': ', $context['page_index'], '</td>
			</tr>';

		foreach ($context['item']['rating_logs'] as $log)
		{
			echo '
				<tr>
					<td class="windowbg2"><a href="', $log['member_link'], '">', $log['member_name'], '</a></td>
					<td class="windowbg2">', str_repeat('<img src="' . $settings['images_url'] . '/star.gif" border="0" alt="*" />', $log['rating']), '</td>
					<td class="windowbg2">', $log['time'], '</td>
				</tr>';
		}
	echo '
		</table>';
}

function template_aeva_rating_object($item)
{
	global $context, $settings, $txt, $galurl;

	$object = ($item['can_rate'] ? '
				<form action="'.$galurl.'sa=item;in='.$item['id_media'].'" method="post" id="ratingForm">' : '') . '
					' . ($item['voters'] > 0 ? str_repeat('<img alt="" src="'.$settings['images_url'].'/star.gif" />', round($item['avg_rating'])) . ' ' . round($item['avg_rating'], 2) . ' (' . (aeva_allowedTo('whoratedwhat') ? '' : '') . $item['voters'] . ' ' . $txt['aeva_vote' . ($item['voters'] > 1 ? 's' : '') . '_noun'] . (aeva_allowedTo('whoratedwhat') ? '' : '') . ')' : '') .
					(!empty($item['weighted']) ? ' (' . $txt['aeva_weighted_mean'] . ': ' . sprintf('%01.2f', $item['weighted']) . ')' : '');

	if ($item['can_rate'])
		$object .= '
					<select name="rating" id="rating">
						<option value="0">0</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						<option value="4">4</option>
						<option value="5">5</option>
					</select>
					<input type="submit" value="'.$txt['aeva_rate_it'].'" data-inline="true" />
				</form>';

	return $object;
}
?>