<?php
function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	// A lot of custom formatting is done in this function instead of using jQM's standard elements
	// The reason being that some options(Specifically heavy post formatting) were not viable with jQM's preformatters

	// Is this topic also a poll?
	if ($context['is_poll'])
	{
		echo '
		<form action="', $scripturl, '?action=vote;topic=', $context['current_topic'], '.', $context['start'], ';poll=', $context['poll']['id'], '" method="post" accept-charset="', $context['character_set'], '">
			<ul data-role="listview" data-inset="true">
					<li data-role="list-divider">
						', $txt['poll'], ' : ', $context['poll']['question'], '';
		if ($context['allow_poll_view'])
			echo '
						<span class="smalltext">
							(', $txt['poll_total_voters'], ': ', $context['poll']['total_votes'], ')
						</span>';
		echo '
					</li>';

		// Are they not allowed to vote but allowed to view the options?
		if ($context['poll']['show_results'] || !$context['allow_vote'])
		{
			// Show each option with its corresponding percentage bar.
			foreach ($context['poll']['options'] as $option)
				echo '
					<li>
						', !$option['voted_this'] ? '<span style="font-style: italic;">' :'', $option['option'], $option['voted_this'] ? '</span>' : '', ' :
						', $context['allow_poll_view'] ? $option['votes'] . ' (' . $option['percent'] . '%)' : '', '
					</li>';
		}
		// They are allowed to vote! Go to it!
		else
		{
			// Show a warning if they are allowed more than one option.
			if ($context['poll']['allowed_warning'])
				echo '
					<li data-role="fieldcontain">', $context['poll']['allowed_warning'], '</li>';

			echo '
					<li data-role="fieldcontain">
						<label for="poll">', $txt['vote'], ':</label>
						<select name="options[]" multiple id="poll">';
			// Show each option with its button - a radio likely.
			foreach ($context['poll']['options'] as $value => $option)
				echo '
							<option value="', $value, '">', $option['option'], '</option>';

			echo '
						</select>
					</li>';
		}

		// Is the clock ticking?
		if (!empty($context['poll']['expire_time']))
			echo '
					<li><strong>', ($context['poll']['is_expired'] ? $txt['poll_expired_on'] : $txt['poll_expires_on']), ':</strong> ', $context['poll']['expire_time'], '</li>';

		echo '
				</ul>';
		if (!($context['poll']['show_results'] || !$context['allow_vote']))
			echo '
				<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
				<button type="submit" name="submit" value="submit-value" data-icon="check">', $txt['poll_vote'], '</button>';
		echo '
			</form>';

		// Build the poll moderation button array.
		$poll_buttons = array(
			'results' => array('test' => 'show_view_results_button', 'text' => 'poll_results', 'icon' => 'grid', 'lang' => true, 'url' => $scripturl . '?topic=' . $context['current_topic'] . '.' . $context['start'] . ';viewresults'),
			'change_vote' => array('test' => 'allow_change_vote', 'text' => 'poll_change_vote', 'icon' => 'forward', 'lang' => true, 'url' => $scripturl . '?action=vote;topic=' . $context['current_topic'] . '.' . $context['start'] . ';poll=' . $context['poll']['id'] . ';' . $context['session_var'] . '=' . $context['session_id']),
			'lock' => array('test' => 'allow_lock_poll', 'text' => (!$context['poll']['is_locked'] ? 'poll_lock' : 'poll_unlock'), 'icon' => 'check', 'lang' => true, 'url' => $scripturl . '?action=lockvoting;topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
			'edit' => array('test' => 'allow_edit_poll', 'text' => 'poll_edit', 'icon' => 'refresh', 'lang' => true, 'url' => $scripturl . '?action=editpoll;topic=' . $context['current_topic'] . '.' . $context['start']),
			'remove_poll' => array('test' => 'can_remove_poll', 'text' => 'poll_remove', 'icon' => 'delete', 'lang' => true, 'confirm' => $txt['poll_remove_warn'], 'url' => $scripturl . '?action=removepoll;topic=' . $context['current_topic'] . '.' . $context['start']),
		);

		template_button_strip($poll_buttons, 'poll', $txt['poll_actions'], true);
	}

	$ignoredMsgs = array();
	$removableMessageIDs = array();
	$alternate = false;

	// Get all the messages...
	while ($message = $context['get_message']())
	{
		echo '
				<ul class="ui-listview ui-listview-inset ui-corner-all ui-shadow" data-theme="c" data-dividertheme="b">';
		$ignoring = false;
		$alternate = !$alternate;
		if ($message['can_remove'])
			$removableMessageIDs[] = $message['id'];

		// Are we ignoring this message?
		if (!empty($options['posts_apply_ignore_list']) && in_array($message['member']['id'], $context['user']['ignoreusers']))
		{
			$ignoring = true;
			$ignoredMsgs[] = $message['id'];
		}

		echo '
					<li class="ui-bar-b ui-corner-top" role="heading">
						<div class="ui-bar">
							<div style="float: left; width: 89%;">
								<img src="', !empty($message['member']['avatar']['href']) ? $message['member']['avatar']['href'] : $settings['images_url'] . '/default_avatar.png', '" alt="" class="poster_avatar" style="float: left; width: 40px;" />
								<div style="text-align: left; margin-left: 50px;"><a id="msg', $message['id'], '"></a>', $message['first_new'] ? '<a id="new"></a>' : '';

		// Show the post with topic title
		if ($message['id'] == $context['topic_first_message'])
			echo '
									<div class="post_title">', $message['subject'], '</div>';
		else
			echo '
									<div class="post_title">', $txt['reply'], ' #', $message['counter'], '</div>';

		echo ' 						<div class="poster_info">', $txt['by'], '
										', !empty($message['member']['href']) ? ' <a href="' . $message['member']['href'] . '" data-role="button"  class="attachment">' . $message['member']['name'] . '</a>' : $message['member']['name'], '
										', $txt['on'], ' ', date('d M, Y H:i', $message['timestamp']), '
									</div>';

		// If this is the first post, (#0) just say when it was posted - otherwise give the reply #.
			echo '
								</div>
							</div>';
		if ($context['can_report_moderator'] || $context['can_quote'] || $message['can_modify'] || $message['can_remove'] || $context['can_split'] || $context['can_restore_msg'])
		{
			echo '
						<div style="margin-top: 0px; margin-right: 2px; text-align: right; display: inline; float: right; width: 10%;">
							<select name="post_actions" class="select_nav_menu" data-icon="grid" data-iconpos="notext" data-select-menu="true">
								<option>', $txt['post_actions'], '</option>';

			// Maybe they want to report this post to the moderator(s)?
			if ($context['can_report_moderator'])
				echo '
								<option data-theme="c" data-icon="alert" value="', $scripturl, '?action=reporttm;topic=', $context['current_topic'], '.', $message['counter'], ';msg=', $message['id'], '">
									', $txt['report_to_mod'], '
								</option>';

			// So... quick reply is off, but they *can* reply?
			if ($context['can_quote'])
				echo '
								<option data-theme="c" data-icon="plus" value="', $scripturl, '?action=post;quote=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';last_msg=', $context['topic_last_message'], '">
									', $txt['quote'], '
								</option>';

			// Can the user modify the contents of this post?
			if ($message['can_modify'])
				echo '
								<option data-theme="c" data-icon="minus" value="', $scripturl, '?action=post;msg=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';', $context['session_var'], '=', $context['session_id'], '">', $txt['modify'], '
								</option>';

			// How about... even... remove it entirely?!
			if ($message['can_remove'])
				echo '
								<option data-theme="c" data-icon="delete" value="', $scripturl, '?action=deletemsg;topic=', $context['current_topic'], '.', $context['start'], ';msg=', $message['id'], ';', $context['session_var'], '=', $context['session_id'], '" title="', $txt['remove_message'], '" class="confirm">', $txt['remove'], '
								</option>';

			// What about splitting it off the rest of the topic?
			if ($context['can_split'] && !empty($context['num_replies']))
				echo '
								<option data-theme="c" data-icon="refresh" value="', $scripturl, '?action=splittopics;topic=', $context['current_topic'], '.0;at=', $message['id'], '">
									', $txt['split'], '
								</option>';

			// Can we restore topics?
			if ($context['can_restore_msg'])
				echo '
								<option data-theme="c" data-icon="forward" value="', $scripturl, '?action=restoretopic;msgs=', $message['id'], ';', $context['session_var'], '=', $context['session_id'], '">
									', $txt['restore_message'], '
								</option>';
				echo '
						</select></div>';
		}
		echo '
					</div></li>
					<li class="ui-btn ui-li ui-corner-bottom ui-btn-up-c" style="font-weight: normal;">
						<div class="ui-btn-inner ui-li">
							<div class="ui-btn-text" style="white-space: normal; padding: 10px;" data-role="display_msg_body">';


		if (!$message['approved'] && $message['member']['id'] != 0 && $message['member']['id'] == $context['user']['id'])
			echo '
								<div class="approve_post">
									', $txt['post_awaiting_approval'], '
								</div>';
		echo $message['body'];

		// Assuming there are attachments...
		if (!empty($message['attachment']))
		{
			echo '<hr />';
			foreach ($message['attachment'] as $attachment)
			{
				echo '
				<a href="' . $attachment['href'] . ($attachment['is_image'] ? ';image' : '') . '" data-role="button" data-inline="true" class="smalltext attachment" target="_blank"><img src="' . $settings['images_url'] . '/post/clip.gif" alt="*" />&nbsp;' . $attachment['name'] . '</a> ';
			}

		}
		echo '
					</div></div>';
		echo '
				</li>';
	echo '
			</ul></ul>';
	}

	echo '
		<script type="text/javascript">
			$("div").live("pagebeforeshow", function() {
				displayImageFix();
			});
		</script>';

	$mod_buttons = array(
		'reply' => array('test' => 'can_reply', 'text' => 'reply', 'icon' => 'plus', 'url' => $scripturl . '?action=post;topic=' . $context['current_topic'] . '.' . $context['start'] . ';num_replies=' . $context['num_replies'],'active' => true),
		'notify' => array('test' => 'can_mark_notify', 'text' => $context['is_marked_notify'] ? 'unnotify' : 'notify', 'icon' => ($context['is_marked_notify'] ? 'minus' : 'star'), 'lang' => true, 'confirm' => ($context['is_marked_notify'] ? $txt['notification_disable_topic'] : $txt['notification_enable_topic']), 'url' => $scripturl . '?action=notify;sa=' . ($context['is_marked_notify'] ? 'off' : 'on') . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
		'move' => array('test' => 'can_move', 'text' => 'move_topic', 'icon' => 'forward', 'url' => $scripturl . '?action=movetopic;topic=' . $context['current_topic'] . '.0'),
		'delete' => array('test' => 'can_delete', 'text' => 'remove_topic', 'icon' => 'delete', 'confirm' => $txt['are_sure_remove_topic'], 'url' => $scripturl . '?action=removetopic2;topic=' . $context['current_topic'] . '.0;' . $context['session_var'] . '=' . $context['session_id']),
		'merge' => array('test' => 'can_merge', 'text' => 'merge', 'icon' => 'refresh', 'url' => $scripturl . '?action=mergetopics;board=' . $context['current_board'] . '.0;from=' . $context['current_topic']),
	);

	// Restore topic. eh?  No monkey business.
	if ($context['can_restore_topic'])
		$mod_buttons[] = array('text' => 'restore_topic', 'image' => '', 'lang' => true, 'url' => $scripturl . '?action=restoretopic;topics=' . $context['current_topic'] . ';' . $context['session_var'] . '=' . $context['session_id']);

	template_button_strip($mod_buttons, 'topic', $txt['topic_actions'], true);
}

?>