<?php
// Version: 2.0 RC4; Login

// This is just the basic "login" form.
function template_login()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	echo '
		<form action="', $scripturl, '?action=login2" method="post" accept-charset="', $context['character_set'], '">
			<ul data-role="listview" data-inset="true">';

	// Did they make a mistake last time?
	if (!empty($context['login_errors']))
	{
		echo '
			<div class="ui-body ui-body-c notice">';
		foreach ($context['login_errors'] as $error)
			echo '
				<p class="error">', $error, '</p>';
		echo '
			</div>';
	}

	// Or perhaps there's some special description for this time?
	if (isset($context['description']))
		echo '
			<p class="description">', $context['description'], '</p>';

	// Now just get the basic information - username, password, etc.
	echo '
			<li data-role="fieldcontain">
				<label for="username">', $txt['username'], ':</label>
				<input type="text" name="user" id="username" size="20" value="', $context['default_username'], '" class="input_text" />
			</li>
			<li data-role="fieldcontain">
				<label for="password">', $txt['password'], ':</label>
				<input type="password" name="passwrd" id="password" value="', $context['default_password'], '" size="20" class="input_password" />
			</li>';

	if (!empty($modSettings['enableOpenID']))
		echo '
			<li data-role="list-divider"&mdash;', $txt['or'], '&mdash;</li>
			<li data-role="fieldcontain">
				<label for="openid">', $txt['openid'], ':</label>
				<input type="text" name="openid_identifier" id="openid" class="input_text openid_login" size="17" />
			</li>';

	echo '
			<li data-role="fieldcontain">
				<label for="minslength">', !empty($txt['mins_logged_in']) ? $txt['mins_logged_in'] : 'Minutes to log in', ':</label>
				<input type="number" name="cookielength" id="minslength" size="4" maxlength="4" value="', $modSettings['cookieTime'], '"', $context['never_expire'] ? ' disabled="disabled"' : '', ' class="input_text" />
			</li>
			<li data-role="fieldcontain">
				<label for="always_login">', $txt['always_logged_in'], ':</label>
				<select name="cookieneverexp" id="always_login" data-role="slider">
					<option value="0">', $txt['no'], '</option>
					<option value="1">', $txt['yes'], '</option>
				</select>
			</li>';
	echo '
			<li data-role="fieldcontain">
				<input type="submit" value="', $txt['login'], '" class="button_submit" data-icon="check" />
			</li>
		</ul>
			<input type="hidden" name="hash_passwrd" value="" />
		</form>';

	// Some JS for minutes logged in
	echo '
		<script type="text/javascript" language="JavaScript">
			$(function()
			{
				$("#always_login").live("change", function()
				{
					if ($(this).val() == 1)
						$("#minslength").attr("disabled", "disabled");
					else
						$("#minslength").removeAttr("disabled");
				});
			});
		</script>';
}

// Tell a guest to get lost or login!
function template_kick_guest()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	// This isn't that much... just like normal login but with a message at the top.
	echo '
	<form action="', $scripturl, '?action=login2" method="post" accept-charset="', $context['character_set'], '" name="frmLogin" id="frmLogin"', empty($context['disable_login_hashing']) ? ' onsubmit="hashLoginPassword(this, \'' . $context['session_id'] . '\');"' : '', '>';

	// Show the message or default message.
	echo '
			<div class="ui-body ui-body-c notice">
				<h3>', $txt['warning'], '</h3>
				', empty($context['kick_message']) ? $txt['only_members_can_access'] : $context['kick_message'], '<br />
				', $txt['login_below'], ' <a href="', $scripturl, '?action=register" data-role="button" data-inline="true" data-icon="plus">', $txt['register_an_account'], '</a> ', sprintf($txt['login_with_forum'], $context['forum_name_html_safe']), '
			</div>';

	// Now just get the basic information - username, password, etc.
	echo '
			<div data-role="fieldcontain">
				<label for="username">', $txt['username'], ':</label>
				<input type="text" name="user" id="username" size="20" value="', !empty($context['default_username']) ? $context['default_username'] : '', '" class="input_text" />
			</div>
			<div data-role="fieldcontain">
				<label for="password">', $txt['password'], ':</label>
				<input type="password" name="passwrd" id="password" value="', !empty($context['default_password']) ? $context['default_password'] : '', '" size="20" class="input_password" />
			</div>';

	if (!empty($modSettings['enableOpenID']))
		echo '
			<h3>&mdash;', $txt['or'], '&mdash;</h3>
			<div data-role="fieldcontain">
				<label for="openid">', $txt['openid'], ':</label>
				<input type="text" name="openid_identifier" id="openid" class="input_text openid_login" size="17" />
			</div>';

	echo '
			<div id="data-role">
				<label for="minslength">', $txt['mins_logged_in'], ':</label>
				<input type="number" name="cookielength" id="minslength" size="4" maxlength="4" value="', $modSettings['cookieTime'], '"', !empty($context['never_expire']) ? ' disabled="disabled"' : '', ' class="input_text" />
			</div>
			<div id="data-role">
				<label for="always_login">', $txt['always_logged_in'], ':</label>
				<select name="cokieeverexp" id="always_login" data-role="slider">
					<option value="0">', $txt['no'], '</option>
					<option value="1">', $txt['yes'], '</option>
				</select>
			</div>';
	echo '<br />
			<input type="submit" value="', $txt['login'], '" class="button_submit" data-icon="check" />
			<input type="hidden" name="hash_passwrd" value="" />
		</form>';

	// Some JS for minutes logged in
	echo '
		<script type="text/javascript" language="JavaScript">
			$(function()
			{
				$("#always_login").live("change", function()
				{
					if ($(this).val() == 1)
						$("#minslength").attr("disabled", "disabled");
					else
						$("#minslength").removeAttr("disabled");
				});
			});
		</script>';
}

// This is for maintenance mode.
function template_maintenance()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	// Display the administrator's message at the top.
	echo '
<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/sha1.js"></script>
<form action="', $scripturl, '?action=login2" method="post" accept-charset="', $context['character_set'], '"', empty($context['disable_login_hashing']) ? ' onsubmit="hashLoginPassword(this, \'' . $context['session_id'] . '\');"' : '', '>
	<div class="tborder login" id="maintenance_mode">
		<div class="cat_bar">
			<h3 class="catbg">', $context['title'], '</h3>
		</div>
		<p class="description">
			<img class="floatleft" src="', $settings['images_url'], '/construction.png" width="40" height="40" alt="', $txt['in_maintain_mode'], '" />
			', $context['description'], '<br class="clear" />
		</p>
		<div class="title_bar">
			<h4 class="titlebg">', $txt['admin_login'], '</h4>
		</div>
		<span class="upperframe"><span></span></span>
		<div class="roundframe">
			<dl>
				<dt>', $txt['username'], ':</dt>
				<dd><input type="text" name="user" size="20" class="input_text" /></dd>
				<dt>', $txt['password'], ':</dt>
				<dd><input type="password" name="passwrd" size="20" class="input_password" /></dd>
				<dt>', $txt['mins_logged_in'], ':</dt>
				<dd><input type="text" name="cookielength" size="4" maxlength="4" value="', $modSettings['cookieTime'], '" class="input_text" /></dd>
				<dt>', $txt['always_logged_in'], ':</dt>
				<dd><input type="checkbox" name="cookieneverexp" class="input_check" /></dd>
			</dl>
			<p class="centertext"><input type="submit" value="', $txt['login'], '" class="button_submit" /></p>
		</div>
		<span class="lowerframe"><span></span></span>
		<input type="hidden" name="hash_passwrd" value="" />
	</div>
</form>';
}

// This is for the security stuff - makes administrators login every so often.
function template_admin_login()
{
	global $context, $settings, $options, $scripturl, $txt;

	// Since this should redirect to whatever they were doing, send all the get data.
	echo '
<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/sha1.js"></script>

<form action="', $scripturl, $context['get_data'], '" method="post" accept-charset="', $context['character_set'], '" name="frmLogin" id="frmLogin" onsubmit="hashAdminPassword(this, \'', $context['user']['username'], '\', \'', $context['session_id'], '\');">
	<div class="tborder login" id="admin_login">
		<div class="cat_bar">
			<h3 class="catbg">
				<span class="ie6_header floatleft"><img src="', $settings['images_url'], '/icons/login_sm.gif" alt="" class="icon" /> ', $txt['login'], '</span>
			</h3>
		</div>
		<span class="upperframe"><span></span></span>
		<div class="roundframe centertext">';

	if (!empty($context['incorrect_password']))
		echo '
			<div class="error">', $txt['admin_incorrect_password'], '</div>';

	echo '
			<strong>', $txt['password'], ':</strong>
			<input type="password" name="admin_pass" size="24" class="input_password" />
			<a href="', $scripturl, '?action=helpadmin;help=securityDisable_why" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt['help'], '" /></a><br />
			<input type="submit" style="margin-top: 1em;" value="', $txt['login'], '" class="button_submit" />';

	// Make sure to output all the old post data.
	echo $context['post_data'], '
		</div>
		<span class="lowerframe"><span></span></span>
	</div>
	<input type="hidden" name="admin_hash_pass" value="" />
</form>';

	// Focus on the password box.
	echo '
<script type="text/javascript"><!-- // --><![CDATA[
	document.forms.frmLogin.admin_pass.focus();
// ]]></script>';
}

// Activate your account manually?
function template_retry_activate()
{
	global $context, $settings, $options, $txt, $scripturl;

	// Just ask them for their code so they can try it again...
	echo '
		<form action="', $scripturl, '?action=activate;u=', $context['member_id'], '" method="post" accept-charset="', $context['character_set'], '">
			<div class="title_bar">
				<h3 class="titlebg">', $context['page_title'], '</h3>
			</div>
			<span class="upperframe"><span></span></span>
			<div class="roundframe">';

	// You didn't even have an ID?
	if (empty($context['member_id']))
		echo '
				<dl>
					<dt>', $txt['invalid_activation_username'], ':</dt>
					<dd><input type="text" name="user" size="30" class="input_text" /></dd>';

	echo '
					<dt>', $txt['invalid_activation_retry'], ':</dt>
					<dd><input type="text" name="code" size="30" class="input_text" /></dd>
				</dl>
				<p><input type="submit" value="', $txt['invalid_activation_submit'], '" class="button_submit" /></p>
			</div>
			<span class="lowerframe"><span></span></span>
		</form>';
}

// Activate your account manually?
function template_resend()
{
	global $context, $settings, $options, $txt, $scripturl;

	// Just ask them for their code so they can try it again...
	echo '
		<form action="', $scripturl, '?action=activate;sa=resend" method="post" accept-charset="', $context['character_set'], '">
			<div class="title_bar">
				<h3 class="titlebg">', $context['page_title'], '</h3>
			</div>
			<span class="upperframe"><span></span></span>
			<div class="roundframe">
				<dl>
					<dt>', $txt['invalid_activation_username'], ':</dt>
					<dd><input type="text" name="user" size="40" value="', $context['default_username'], '" class="input_text" /></dd>
				</dl>
				<p>', $txt['invalid_activation_new'], '</p>
				<dl>
					<dt>', $txt['invalid_activation_new_email'], ':</dt>
					<dd><input type="text" name="new_email" size="40" class="input_text" /></dd>
					<dt>', $txt['invalid_activation_password'], ':</dt>
					<dd><input type="password" name="passwd" size="30" class="input_password" /></dd>
				</dl>';

	if ($context['can_activate'])
		echo '
				<p>', $txt['invalid_activation_known'], '</p>
				<dl>
					<dt>', $txt['invalid_activation_retry'], ':</dt>
					<dd><input type="text" name="code" size="30" class="input_text" /></dd>
				</dl>';

	echo '
				<p><input type="submit" value="', $txt['invalid_activation_resend'], '" class="button_submit" /></p>
			</div>
			<span class="lowerframe"><span></span></span>
		</form>';
}

?>