<?php
// Version: 2.0 RC2; MessageIndex

function template_main()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt, $board_info;

	if (!empty($context['boards']) && (!empty($options['show_children']) || $context['start'] == 0))
	{
		echo '
	<ul data-role="listview" data-inset="true">
		<li id="open_child" data-role="list-divider">', $txt['parent_boards'], '</li>';

			foreach ($context['boards'] as $board)
			{
				echo '
				<li data-theme="c"><a href="', $board['href'], '" name="b', $board['id'], '">';

				// If the board or children is new, show an indicator.
				if ($board['new'] || !empty($board['children_new']))
					echo '
					<img src="', $settings['images_url'], '/' .$context['theme_variant'], '/new_some.png" alt="', $txt['new_posts'], '" title="', $txt['new_posts'], '" border="0" class="ui-li-icon" />';
				// Is it a redirection board?
				elseif ($board['is_redirect'])
					echo '
					<img src="', $settings['images_url'], '/' .$context['theme_variant'], '/new_redirect.png" alt="*" title="*" border="0" class="ui-li-icon" />';
				// No new posts at all! The agony!!
				else
					echo '
					<img src="', $settings['images_url'], '/' .$context['theme_variant'], '/new_none.png" alt="', $txt['old_posts'], '" title="', $txt['old_posts'], '" class="ui-li-icon" />';
				echo '
					<h3>', $board['name'], '</h3>
					<p class="board_desc">', strip_tags($board['description']), '</p>';

				echo '</a>
				</li>';
					if (!empty($board['children']))
					{
						/* Each child in each board's children has:
								id, name, description, new (is it new?), topics (#), posts (#), href, link, and last_post. */
						foreach ($board['children'] as $child)
						{
							echo '<li class="child_board">';
								// If the board or children is new, show an indicator.
								if ($child['new'] || !empty($child['children_new']))
									echo '
										<img src="', $settings['images_url'], '/' .$context['theme_variant'], '/new_some.png" alt="', $txt['new_posts'], '" title="', $txt	['new_posts'], '" border="0" class="ui-li-icon" />';
								// Is it a redirection board?
								elseif ($child['is_redirect'])
									echo '
										<img src="', $settings['images_url'], '/' .$context['theme_variant'], '/new_redirect.png" alt="*" title="*" border="0" class="ui-li-icon" />';
								// No new posts at all! The agony!!
								else
									echo '
										<img src="', $settings['images_url'], '/' .$context['theme_variant'], '/new_none.png" alt="', $txt['old_posts'], '" title="', $txt['old_posts'], '" class="ui-li-icon" />';

								echo '
									<a href="', $child['href'], '">', $child['name'], '</a>';
							echo '
								</li>';
						}
					}
				}
			echo '
			</ul>';
	}

	echo '
	<ul data-role="listview" data-inset="true">
		<li data-role="list-divider"', $context['can_post_new'] ? ' data-icon="plus"' : '', ' data-theme="b">
			', $context['can_post_new'] ? '<a href="' . $scripturl . '?action=post;board=' . $context['current_board'] . '.0">' : '', $board_info['name'], $context['can_post_new'] ? '
			</a>' : '', '
		</li>
		<li>', $context['description'], '</li>';

	// No topics.... just say, "sorry bub".
	if (empty($context['topics']))
		echo '
			<li><strong>', $txt['msg_alert_none'], '</strong><li>';
	$sticky_title_shown = false;
	$normal_title_shown = false;
	foreach ($context['topics'] as $topic)
	{
		// Is the topic sticky and no title has been shown yet?
		if ($topic['is_sticky'] && !$sticky_title_shown)
		{
			$sticky_title_shown = true;
			echo '
			<li data-role="list-divider">', $txt['sticky_topics'], '</li>';
		}
		elseif (!$topic['is_sticky'] && $sticky_title_shown && !$normal_title_shown)
		{
			$normal_title_shown = true;
			echo '
			<li data-role="list-divider">', $txt['topics'], '</li>';
		}

		echo '
			<li data-theme="c"><a href="', $topic['first_post']['href'], '">
				<img src="', $settings['images_url'], '/topic/', $topic['class'], '.gif" class="ui-li-icon" alt="" />
				<div class="topic_starter_info ui-li-desc">
					', ucwords($txt['by']), ' ', $topic['first_post']['member']['name'], ' ', $txt['on'], ' ', date('d M, Y H:i', $topic['first_post']['timestamp']), '
				</div>
				<span style="white-space: normal;">', $topic['first_post']['subject'], '</span>';

			if (!empty($topic['last_post']['id']) && $topic['last_post']['id'] != $topic['first_post']['id'])
					echo '
				<p class="last_post">', $txt['last_post'], ' ', $txt['by'], ' ', $topic['last_post']['member']['name'], ' ', $txt['on'], ' ', date('d M, Y H:i', $topic['last_post']['timestamp']), '</p>';
			echo '
			</a>';
			// Is this topic new? (assuming they are logged in!)
			if ($topic['new'] && $context['user']['is_logged'])
					echo '
			<a href="', $topic['new_href'], '" id="newicon' . $topic['first_post']['id'] . '">', $txt['new'], '</a>';
			echo '</li>';
	}
	echo '
	</ul>';

	// Create the button set...
	$normal_buttons = array(
		'new_topic' => array('test' => 'can_post_new', 'text' => 'new_topic', 'icon' => 'plus', 'url' => $scripturl . '?action=post;board=' . $context['current_board'] . '.0'),
		'post_poll' => array('test' => 'can_post_poll', 'text' => 'new_poll', 'icon' => 'plus', 'url' => $scripturl . '?action=post;board=' . $context['current_board'] . '.0;poll'),
		'notify' => array('test' => 'can_mark_notify', 'text' => $context['is_marked_notify'] ? 'unnotify' : 'notify', 'icon' => ($context['is_marked_notify'] ? 'minus' : 'star'), 'custom' => 'onclick="return confirm(\'' . ($context['is_marked_notify'] ? $txt['notification_disable_board'] : $txt['notification_enable_board']) . '\');"', 'url' => $scripturl . '?action=notifyboard;sa=' . ($context['is_marked_notify'] ? 'off' : 'on') . ';board=' . $context['current_board'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
		'markread' => array('text' => 'mark_read_short', 'icon' => 'check', 'url' => $scripturl . '?action=markasread;sa=board;board=' . $context['current_board'] . '.0;' . $context['session_var'] . '=' . $context['session_id']),
	);

	// They can only mark read if they are logged in and it's enabled!
	if (!$context['user']['is_logged'] || !$settings['show_mark_read'])
		unset($normal_buttons['markread']);

	template_button_strip($normal_buttons);
}

?>