<?php
// Version: 2.0 RC4; PersonalMessage

// This is the main sidebar for the personal messages section.
function template_pm_above()
{
	global $context, $settings, $options, $txt, $scripturl;

	template_button_strip(array(
		array('url' => $scripturl . '?action=pm', 'text' => 'inbox', 'icon' => 'grid'),
		array('url' => $scripturl . '?action=pm;sa=send', 'test' => allowedTo('pm_send'), 'text' => 'new_message', 'icon' => 'forward'),
		array('url' => $scripturl . '?action=pm;sa=search', 'text' => 'pm_search_bar_title', 'icon' => 'search'),
		array('url' => $scripturl . '?action=pm;f=sent', 'text' => 'sent_items', 'icon' => 'forward'),
		array('url' => $scripturl . '?action=pm;sa=settings', 'text' => 'pm_settings', 'icon' => 'gear'),
	));

	// Message sent? Show a small indication.
	if (isset($context['pm_sent']))
		echo '
		<p class="ui-body ui-body-c notice">
			', $txt['pm_sent'], '
		</p>';
}

// Just the end of the index bar, nothing special.
function template_pm_below()
{
	global $context, $settings, $options;
}

function template_folder()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	// Some collapsible JS
	echo '
		<script type="text/javascript" language="JavaScript">
			$(function()
			{
					if (typeof window.pm_delegated != "undefined")
						return true;

					window.pm_delegated = true;
					$(document).delegate("[data-role=pm_header]", "click", function()
					{
						// Item doesn\'t exist?
						if (', $context['display_mode'], ' == 2 && $(this).attr("data-pmid") != ', !empty($context['current_pm']) ? $context['current_pm'] : 0, ')
							if ($.mobile.ajaxEnabled)
								$.mobile.changePage(smf_scripturl + "?action=pm;pmid=" + $(this).attr("data-pmid"));
							else
								document.location = smf_scripturl + "?action=pm;pmid=" + $(this).attr("data-pmid");

						if (typeof($(this).attr("data-hidden")) == "undefined" || $(this).attr("data-hidden") == "true")
						{
							if (', $context['display_mode'], ' == 2)
								$("li[data-role=pm_subheader]", $(this).parent().parent().parent().parent()).show();
							else
								$(".ui-li-static", $(this).parent().parent().parent()).show();
							$(this).parent().removeClass("ui-corner-bottom");
							$(this).attr("data-hidden", "false");
						}
						else
						{
							$(".ui-li-static", $(this).parent().parent().parent()).hide();
							$(this).parent().addClass("ui-corner-bottom");
							$(this).attr("data-hidden", "true");
						}
					});
					$(document).delegate("[data-role=pm_subheader]", "click", function()
					{
						if ($(this).attr("data-hidden") == "true")
						{
							$("li[data-pmid=" + $(this).attr("data-pmid") + "][data-role=\'pm_body\']").show();
							$(this).attr("data-hidden", "false");
						}
						else
						{
							$("li[data-pmid=" + $(this).attr("data-pmid") + "][data-role=\'pm_body\']").hide();
							$(this).attr("data-hidden", "true");
						}
					});
			});
		</script>';

	$subjects = $messages = array();
	while ($message = $context['get_pmessage']('subject'))
		$subjects[$message['id']] = $message;

	// Got some messages to display?
	if ($context['get_pmessage']('message', true))
	{
		while ($message = $context['get_pmessage']('message'))
		{
			$messages[$message['id']] = $message;
		}
	}

	echo '
		<div id="pmFolder">';
	foreach ($subjects as $message)
	{
			echo '
				<ul class="ui-listview ui-listview-inset ui-corner-all ui-shadow" data-theme="c" data-dividertheme="b">';
			echo '
					<li class="ui-bar-b ui-corner-top ', $context['display_mode'] == 2 && $context['current_pm'] == (int) $message['id'] ? '' : 'ui-corner-bottom', '" role="heading" data-hidden="', $context['display_mode'] == 2 && $context['current_pm'] == (int) $message['id'] ? 'false' : 'true', '">
						<div class="ui-bar">
							<div data-role="pm_header" style="margin: -.4em -15px; padding: .4em 15px; float: left; width: 85%; cursor: pointer; cursor: hand;" data-hidden="false" data-pmid="', $message['id'], '">
								', $message['subject'], '&nbsp;&nbsp;&nbsp;
								<span class="smalltext">
									', $txt['from'], ' ', $message['member']['name'], ' ', $txt['on'], ' ', date('d M, Y H:i', $message['timestamp']), '
								</span>
							</div>
							<div style="margin-top: -4px; margin-right: 5px; text-align: right; display: inline; float: right; width: 10%; text-align: right;">
								<select name="pm_actions" class="select_nav_menu" data-icon="grid" data-iconpos="notext" data-select-menu="true">
									<option>', $txt['pm_menu_label'], '</option>';

			// Show reply buttons if you have the permission to send PMs.
			if ($context['can_send_pm'])
			{
				// You can't really reply if the member is gone.
				if (!empty($message['member']['id']))
				{
					// Is there than more than one recipient you can reply to?
					if ($message['number_recipients'] > 1 && $context['display_mode'] != 2)
						echo '
									<option data-theme="c" data-icon="arrow-r" value="', $scripturl, '?action=pm;sa=send;f=', $context['folder'], $context['current_label_id'] != -1 ? ';l=' . $context['current_label_id'] : '', ';pmsg=', $message['id'], ';quote;u=all">', $txt['reply_to_all'], '</option>';

					echo '
									<option data-theme="c" data-icon="arrow-r" value="', $scripturl, '?action=pm;sa=send;f=', $context['folder'], $context['current_label_id'] != -1 ? ';l=' . $context['current_label_id'] : '', ';pmsg=', $message['id'], ';u=', $message['member']['id'], '">', $txt['reply'], '</option>
									<option data-theme="c" data-icon="arrow-r" value="', $scripturl, '?action=pm;sa=send;f=', $context['folder'], $context['current_label_id'] != -1 ? ';l=' . $context['current_label_id'] : '', ';pmsg=', $message['id'], ';quote', $context['folder'] == 'sent' ? '' : ';u=' . $message['member']['id'], '">', $txt['quote'], '</option>';
				}
				// This is for "forwarding" - even if the member is gone.
				else
					echo '
									<option data-theme="c" data-icon="arrow-r" value="', $scripturl, '?action=pm;sa=send;f=', $context['folder'], $context['current_label_id'] != -1 ? ';l=' . $context['current_label_id'] : '', ';pmsg=', $message['id'], ';quote">', $txt['reply_quote'], '</option>';
			}
			if (!empty($modSettings['enableReportPM']) && $context['folder'] != 'sent')
				echo  '				<option data-theme="c" data-icon="alert" value="' . $scripturl . '?action=pm;sa=report;l=' . $context['current_label_id'] . ';pmsg=' . $message['id'] . '">' . $txt['pm_report_to_admin'] . '</option>';
			echo '
									<option data-theme="c" data-icon="delete" value="', $scripturl, '?action=pm;sa=pmactions;pm_actions[', $message['id'], ']=delete;f=', $context['folder'], ';start=', $context['start'], $context['current_label_id'] != -1 ? ';l=' . $context['current_label_id'] : '', ';', $context['session_var'], '=', $context['session_id'], '" class="confirm" title="', addslashes($txt['remove_message']), '">', $txt['delete'], '</option>';
			echo '
								</select>
							</div>
						</div>
					</li>';

			if ($context['display_mode'] == 2 && $context['current_pm'] == (int) $message['id'])
			{
				foreach ($messages as $message2)
				{
					echo '
					<li class="ui-bar-b smalltext ui-btn-up-b ui-li-static" data-hidden="true" data-role="pm_subheader" data-pmid="', $message2['id'], '">
						', $message2['subject'], '&nbsp;&nbsp;&nbsp;<span class="smalltext">', $txt['from'], ' ', $message2['member']['name'], ' ', $txt['on'], ' ', date('d M, Y H:i', $message2['timestamp']), '</span>
					</li>
					<li class="ui-li ui-corner-bottom ui-btn-up-c ui-li-static" style="display: none;" data-role="pm_body" data-pmid="', $message2['id'], '">
						<div class="ui-btn-text" style="white-space: normal;">
							<div style="white-space: normal;">', $message2['body'], '</div>
						</div>
					</li>';
				}
			}
			else
				echo '
					<li class="ui-li ui-corner-bottom ui-btn-up-c ui-li-static" style="display: none;" data-role="pm_body" data-pmid="', $message['id'], '">
						<div class="ui-btn-text" style="white-space: normal;">
							<div style="white-space: normal;">', isset($messages[$message['id']]) ? $messages[$message['id']]['body'] : '', '</div>
						</div>
					</li>';

		echo '
				</ul>';
	}
	echo '
		</div>';
}

// Just list all the personal message subjects - to make templates easier.
function template_subject_list()
{
}

function template_search()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	echo '
	<form action="', $scripturl, '?action=pm;sa=search2" method="post" accept-charset="', $context['character_set'], '" name="searchform" id="searchform">';

	if (!empty($context['search_errors']))
	{
		echo '
		<div class="ui-body ui-body-c notice">
			', implode('<br />', $context['search_errors']['messages']), '
		</div>';
	}
	echo '
		<div data-role="fieldcontain">
			<label for="search">', $txt['pm_search_text'], ':</label>
			<input type="search" name="search" id="search"', !empty($context['search_params']['search']) ? ' value="' . $context['search_params']['search'] . '"' : '', '/>
		</div>
		<input type="submit" name="submit" value="', $txt['pm_search_go'], '" class="button_submit" data-icon="search" />
		<input type="hidden" name="advanced" value="0" />';

	echo '
	</form>';
}

function template_search_results()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	echo '
	<ul data-role="listview" data-inset="true">
		<li data-role="list-divider">', $txt['pm_search_results'], '</li>';

	// Print each message out...
	foreach ($context['personal_messages'] as $message)
	{
		// !!! No context at all of the search?
		echo '
		<li>
			<a href="', $message['href'], '">
				<h3>', $message['subject'], '</h3>
				<p class="ui-li-desc">
					', $txt['by'], ' ', $message['member']['name'], ' ', $txt['on'], ' ', date('d M, Y H:i', strtotime(str_replace('at', '', strip_tags($message['time'])))), '
				</p>
			</a>
		</li>';
	}
	echo '
	</ul>';

}

function template_send()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	// Show the preview of the personal message.
	if (isset($context['preview_message']))
	echo '
	<ul class="ui-listview ui-listview-inset ui-corner-all ui-shadow" data-theme="c" data-dividertheme="b">
		<li class="ui-bar-b ui-corner-top" role="heading">
			<div class="ui-bar">
				', $context['preview_subject'], '
			</div>
		</li>
		<li class="ui-li ui-corner-bottom ui-btn-up-c ui-li-static">
			<div class="ui-btn-text" style="white-space: normal;">
				<div style="white-space: normal;">', $context['preview_message'], '</div>
			</div>
		</li>
	</ul>';

	echo '
	<form action="', $scripturl, '?action=pm;sa=send2" method="post" accept-charset="', $context['character_set'], '" name="postmodify" id="postmodify" class="flow_hidden">';

	// Show which messages were sent successfully and which failed.
	if (!empty($context['send_log']) || !empty($context['post_error']['messages']))
		echo '
		<div class="ui-body ui-body-c notice">';

	if (!empty($context['send_log']))
	{
		echo '
			<h3>', $txt['pm_send_report'], '</h3>';
			if (!empty($context['send_log']['sent']))
				foreach ($context['send_log']['sent'] as $log_entry)
					echo '<span class="error">', $log_entry, '</span><br />';
			if (!empty($context['send_log']['failed']))
				foreach ($context['send_log']['failed'] as $log_entry)
					echo '<span class="error">', $log_entry, '</span><br />';
			echo '<br />';
	}

	// If there were errors for sending the PM, show them.
	if (!empty($context['post_error']['messages']))
	{
		echo '
			<strong>', $txt['error_while_submitting'], '</strong>
			<ul>';

		foreach ($context['post_error']['messages'] as $error)
			echo '
				<li class="error">', $error, '</li>';

		echo '
			</ul>';
	}
	if (!empty($context['send_log']) || !empty($context['post_error']['messages']))
		echo '
		</div>';

	echo '
		<ul data-role="listview" data-inset="true">
			<li data-role="list-divider">', $txt['send_message'], '</li>
			<li data-role="fieldcontain">
				<label for="to_control">', $txt['pm_to'], ':</label>
				<input type="text" name="to" id="to_control" value="', $context['to_value'], '" />
			</li>';
	echo '
			<li data-role="fieldcontain">
				<label for="bcc_control">', $txt['pm_bcc'], ':</label>
				<input type="text" name="bcc" id="bcc_control" value="', $context['bcc_value'], '" />
			</li>';

	// The subject of the PM.
	echo '
			<li data-role="fieldcontain">
				<label for="subject">', $txt['subject'], ':</label>
				<input type="text" name="subject" value="', $context['subject'], '" id="subject" />
			</li>';

	echo '
			<li data-role="fieldcontain">
				<label for="message">', $txt['message'], '</label>
				<textarea id="message" name="message">', $context['message'], '</textarea>
			</li>';

	// Require an image to be typed to save spamming?
	if ($context['require_verification'])
	{
		echo template_control_verification($context['visual_verification_id'], 'all');
	}

	// Send, Preview, spellcheck buttons.
	echo '
			<li data-role="fieldcontain">
				<label for="outbox">', $txt['pm_save_outbox'], ':</label>
				<select name="outbox" id="outbox" data-role="slider">
					<option value="0">', $txt['no'], '</option>
					<option value="1"', $context['copy_to_outbox'] ? ' selected="selected"' : '', '>', $txt['yes'], '</option>
				</select>
			</li>
			<li data-role="fieldcontain">
				', template_control_richedit_buttons($context['post_box_name']), '
			</li>
		</ul>
		<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
		<input type="hidden" name="seqnum" value="', $context['form_sequence_number'], '" />
		<input type="hidden" name="replied_to" value="', !empty($context['quoted_message']['id']) ? $context['quoted_message']['id'] : 0, '" />
		<input type="hidden" name="pm_head" value="', !empty($context['quoted_message']['pm_head']) ? $context['quoted_message']['pm_head'] : 0, '" />
		<input type="hidden" name="f" value="', isset($context['folder']) ? $context['folder'] : '', '" />
		<input type="hidden" name="l" value="', isset($context['current_label_id']) ? $context['current_label_id'] : -1, '" />
	</form>';

	// Show the message you're replying to.
	if ($context['reply'])
	{
			echo '
	<ul class="ui-listview ui-listview-inset ui-corner-all ui-shadow" data-theme="c" data-dividertheme="b">';
			echo '
		<li class="ui-bar-b ui-corner-top" role="heading">
			<div class="ui-bar">
				', $txt['subject'], ' : ', $context['quoted_message']['subject'], '&nbsp;&nbsp;&nbsp;<span class="smalltext">', $txt['by'], ' ', !empty($context['quoted_message']['member']['href']) ? ' <a href="' . $context['quoted_message']['member']['href'] . '" data-role="button">' . $context['quoted_message']['member']['name'] . '</a>' : $context['quoted_message']['member']['name'], ' ', $txt['on'], ' ', date('d M, Y H:i', $context['quoted_message']['timestamp']), '</span>
			</div>
		</li>
		<li class="ui-li ui-corner-bottom ui-btn-up-c ui-li-static">
			<div class="ui-btn-text" style="white-space: normal;">
				<div style="white-space: normal;">', $context['quoted_message']['body'], '</div>';

			echo '
			</div>
		</li>
	</ul>';
	}
}

// This template asks the user whether they wish to empty out their folder/messages.
function template_ask_delete()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	echo '
		<div class="cat_bar">
			<h3 class="catbg">', ($context['delete_all'] ? $txt['delete_message'] : $txt['delete_all']), '</h3>
		</div>
		<div class="windowbg">
			<span class="topslice"><span></span></span>
			<div class="content">
				<p>', $txt['delete_all_confirm'], '</p><br />
				<strong><a href="', $scripturl, '?action=pm;sa=removeall2;f=', $context['folder'], ';', $context['current_label_id'] != -1 ? ';l=' . $context['current_label_id'] : '', ';', $context['session_var'], '=', $context['session_id'], '">', $txt['yes'], '</a> - <a href="javascript:history.go(-1);">', $txt['no'], '</a></strong>
			</div>
			<span class="botslice"><span></span></span>
		</div>';
}

// This template asks the user what messages they want to prune.
function template_prune()
{
	global $context, $settings, $options, $scripturl, $txt;

	echo '
	<form action="', $scripturl, '?action=pm;sa=prune" method="post" accept-charset="', $context['character_set'], '" onsubmit="return confirm(\'', $txt['pm_prune_warning'], '\');">
		<div class="cat_bar">
			<h3 class="catbg">', $txt['pm_prune'], '</h3>
		</div>
		<div class="windowbg">
			<span class="topslice"><span></span></span>
			<div class="content">
				<p>', $txt['pm_prune_desc1'], ' <input type="text" name="age" size="3" value="14" class="input_text" /> ', $txt['pm_prune_desc2'], '</p>
				<div class="righttext">
					<input type="submit" value="', $txt['delete'], '" class="button_submit" />
				</div>
			</div>
			<span class="botslice"><span></span></span>
		</div>
		<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
	</form>';
}

// Here we allow the user to setup labels, remove labels and change rules for labels (i.e, do quite a bit)
function template_labels()
{
	global $context, $settings, $options, $scripturl, $txt;

	echo '
	<form action="', $scripturl, '?action=pm;sa=manlabels" method="post" accept-charset="', $context['character_set'], '">
		<div class="cat_bar">
			<h3 class="catbg">', $txt['pm_manage_labels'], '</h3>
		</div>
		<div class="description">
			', $txt['pm_labels_desc'], '
		</div>
		<table width="100%" class="table_grid">
		<thead>
			<tr class="catbg">
				<th class="lefttext first_th">
					', $txt['pm_label_name'], '
				</th>
				<th class="centertext last_th" width="4%">';

	if (count($context['labels']) > 2)
		echo '
					<input type="checkbox" class="input_check" onclick="invertAll(this, this.form);" />';

	echo '
				</th>
			</tr>
		</thead>
		<tbody>';
	if (count($context['labels']) < 2)
		echo '
			<tr class="windowbg2">
				<td colspan="2" align="center">', $txt['pm_labels_no_exist'], '</td>
			</tr>';
	else
	{
		$alternate = true;
		foreach ($context['labels'] as $label)
		{
			if ($label['id'] == -1)
				continue;

				echo '
			<tr class="', $alternate ? 'windowbg2' : 'windowbg', '">
				<td>
					<input type="text" name="label_name[', $label['id'], ']" value="', $label['name'], '" size="30" maxlength="30" class="input_text" />
				</td>
				<td width="4%" align="center"><input type="checkbox" class="input_check" name="delete_label[', $label['id'], ']" /></td>
			</tr>';

			$alternate = !$alternate;
		}
	}
	echo '
		</tbody>
		</table>';

	if (!count($context['labels']) < 2)
		echo '
		<div class="padding righttext">
			<input type="submit" name="save" value="', $txt['save'], '" class="button_submit" />
			<input type="submit" name="delete" value="', $txt['quickmod_delete_selected'], '" onclick="return confirm(\'', $txt['pm_labels_delete'], '\');" class="button_submit" />
		</div>';

	echo '
		<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
	</form>
	<form action="', $scripturl, '?action=pm;sa=manlabels" method="post" accept-charset="', $context['character_set'], '" style="margin-top: 1ex;">
		<div class="cat_bar">
			<h3 class="catbg">', $txt['pm_label_add_new'], '</h3>
		</div>
		<div class="windowbg">
			<span class="topslice"><span></span></span>
			<div class="content">
				<dl class="settings">
					<dt>
						<strong><label for="add_label">', $txt['pm_label_name'], '</label>:</strong>
					</dt>
					<dd>
						<input type="text" id="add_label" name="label" value="" size="30" maxlength="30" class="input_text" />
					</dd>
				</dl>
				<div class="righttext">
					<input type="submit" name="add" value="', $txt['pm_label_add_new'], '" class="button_submit" />
				</div>
			</div>
			<span class="botslice"><span></span></span>
		</div>
		<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
	</form><br />';
}

// Template for reporting a personal message.
function template_report_message()
{
	global $context, $settings, $options, $txt, $scripturl;

	echo '
	<form action="', $scripturl, '?action=pm;sa=report;l=', $context['current_label_id'], '" method="post" accept-charset="', $context['character_set'], '">
		<input type="hidden" name="pmsg" value="', $context['pm_id'], '" />
		<div class="cat_bar">
			<h3 class="catbg">', $txt['pm_report_title'], '</h3>
		</div>
		<div class="description">
			', $txt['pm_report_desc'], '
		</div>
		<div class="windowbg">
			<span class="topslice"><span></span></span>
			<div class="content">
				<dl class="settings">';

	// If there is more than one admin on the forum, allow the user to choose the one they want to direct to.
	// !!! Why?
	if ($context['admin_count'] > 1)
	{
		echo '
					<dt>
						<strong>', $txt['pm_report_admins'], ':</strong>
					</dt>
					<dd>
						<select name="ID_ADMIN">
							<option value="0">', $txt['pm_report_all_admins'], '</option>';
		foreach ($context['admins'] as $id => $name)
			echo '
							<option value="', $id, '">', $name, '</option>';
		echo '
						</select>
					</dd>';
	}

	echo '
					<dt>
						<strong>', $txt['pm_report_reason'], ':</strong>
					</dt>
					<dd>
						<textarea name="reason" rows="4" cols="70" style="width: 80%;"></textarea>
					</dd>
				</dl>
				<div class="righttext">
					<input type="submit" name="report" value="', $txt['pm_report_message'], '" class="button_submit" />
				</div>
			</div>
			<span class="botslice"><span></span></span>
		</div>
		<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
	</form>';
}

// Little template just to say "Yep, it's been submitted"
function template_report_message_complete()
{
	global $context, $settings, $options, $txt, $scripturl;

	echo '
		<div class="cat_bar">
			<h3 class="catbg">', $txt['pm_report_title'], '</h3>
		</div>
		<div class="windowbg">
			<span class="topslice"><span></span></span>
			<div class="content">
				<p>', $txt['pm_report_done'], '</p>
				<a href="', $scripturl, '?action=pm;l=', $context['current_label_id'], '">', $txt['pm_report_return'], '</a>
			</div>
			<span class="botslice"><span></span></span>
		</div>';
}

// Manage rules.
function template_rules()
{
	global $context, $settings, $options, $txt, $scripturl;

	echo '
	<form action="', $scripturl, '?action=pm;sa=manrules" method="post" accept-charset="', $context['character_set'], '" name="manRules" id="manrules">
		<div class="cat_bar">
			<h3 class="catbg">', $txt['pm_manage_rules'], '</h3>
		</div>
		<div class="description">
			', $txt['pm_manage_rules_desc'], '
		</div>
		<table width="100%" class="table_grid">
		<thead>
			<tr class="catbg">
				<th class="lefttext first_th">
					', $txt['pm_rule_title'], '
				</th>
				<th width="4%" class="centertext last_th">';

	if (!empty($context['rules']))
		echo '
					<input type="checkbox" onclick="invertAll(this, this.form);" class="input_check" />';

	echo '
				</th>
			</tr>
		</thead>
		<tbody>';

	if (empty($context['rules']))
		echo '
			<tr class="windowbg2">
				<td colspan="2" align="center">
					', $txt['pm_rules_none'], '
				</td>
			</tr>';

	$alternate = false;
	foreach ($context['rules'] as $rule)
	{
		echo '
			<tr class="', $alternate ? 'windowbg' : 'windowbg2', '">
				<td>
					<a href="', $scripturl, '?action=pm;sa=manrules;add;rid=', $rule['id'], '">', $rule['name'], '</a>
				</td>
				<td width="4%" align="center">
					<input type="checkbox" name="delrule[', $rule['id'], ']" class="input_check" />
				</td>
			</tr>';
		$alternate = !$alternate;
	}

	echo '
		</tbody>
		</table>
		<div class="righttext">
			[<a href="', $scripturl, '?action=pm;sa=manrules;add;rid=0">', $txt['pm_add_rule'], '</a>]';

	if (!empty($context['rules']))
		echo '
			[<a href="', $scripturl, '?action=pm;sa=manrules;apply;', $context['session_var'], '=', $context['session_id'], '" onclick="return confirm(\'', $txt['pm_js_apply_rules_confirm'], '\');">', $txt['pm_apply_rules'], '</a>]';

	if (!empty($context['rules']))
		echo '
			<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
			<input type="submit" name="delselected" value="', $txt['pm_delete_selected_rule'], '" onclick="return confirm(\'', $txt['pm_js_delete_rule_confirm'], '\');" class="button_submit smalltext" />';

	echo '
		</div>
	</form>';

}

// Template for adding/editing a rule.
function template_add_rule()
{
	global $context, $settings, $options, $txt, $scripturl;

	echo '
	<script type="text/javascript"><!-- // --><![CDATA[
			var criteriaNum = 0;
			var actionNum = 0;
			var groups = new Array()
			var labels = new Array()';

	foreach ($context['groups'] as $id => $title)
		echo '
			groups[', $id, '] = "', addslashes($title), '";';

	foreach ($context['labels'] as $label)
		if ($label['id'] != -1)
			echo '
			labels[', ($label['id'] + 1), '] = "', addslashes($label['name']), '";';

	echo '
			function addCriteriaOption()
			{
				if (criteriaNum == 0)
				{
					for (var i = 0; i < document.forms.addrule.elements.length; i++)
						if (document.forms.addrule.elements[i].id.substr(0, 8) == "ruletype")
							criteriaNum++;
				}
				criteriaNum++

				setOuterHTML(document.getElementById("criteriaAddHere"), \'<br /><select name="ruletype[\' + criteriaNum + \']" id="ruletype\' + criteriaNum + \'" onchange="updateRuleDef(\' + criteriaNum + \'); rebuildRuleDesc();"><option value="">', addslashes($txt['pm_rule_criteria_pick']), ':<\' + \'/option><option value="mid">', addslashes($txt['pm_rule_mid']), '<\' + \'/option><option value="gid">', addslashes($txt['pm_rule_gid']), '<\' + \'/option><option value="sub">', addslashes($txt['pm_rule_sub']), '<\' + \'/option><option value="msg">', addslashes($txt['pm_rule_msg']), '<\' + \'/option><option value="bud">', addslashes($txt['pm_rule_bud']), '<\' + \'/option><\' + \'/select>&nbsp;<span id="defdiv\' + criteriaNum + \'" style="display: none;"><input type="text" name="ruledef[\' + criteriaNum + \']" id="ruledef\' + criteriaNum + \'" onkeyup="rebuildRuleDesc();" value="" class="input_text" /><\' + \'/span><span id="defseldiv\' + criteriaNum + \'" style="display: none;"><select name="ruledefgroup[\' + criteriaNum + \']" id="ruledefgroup\' + criteriaNum + \'" onchange="rebuildRuleDesc();"><option value="">', addslashes($txt['pm_rule_sel_group']), '<\' + \'/option>';

	foreach ($context['groups'] as $id => $group)
		echo '<option value="', $id, '">', strtr($group, array("'" => "\'")), '<\' + \'/option>';

	echo '<\' + \'/select><\' + \'/span><span id="criteriaAddHere"><\' + \'/span>\');
			}

			function addActionOption()
			{
				if (actionNum == 0)
				{
					for (var i = 0; i < document.forms.addrule.elements.length; i++)
						if (document.forms.addrule.elements[i].id.substr(0, 7) == "acttype")
							actionNum++;
				}
				actionNum++

				setOuterHTML(document.getElementById("actionAddHere"), \'<br /><select name="acttype[\' + actionNum + \']" id="acttype\' + actionNum + \'" onchange="updateActionDef(\' + actionNum + \'); rebuildRuleDesc();"><option value="">', addslashes($txt['pm_rule_sel_action']), ':<\' + \'/option><option value="lab">', addslashes($txt['pm_rule_label']), '<\' + \'/option><option value="del">', addslashes($txt['pm_rule_delete']), '<\' + \'/option><\' + \'/select>&nbsp;<span id="labdiv\' + actionNum + \'" style="display: none;"><select name="labdef[\' + actionNum + \']" id="labdef\' + actionNum + \'" onchange="rebuildRuleDesc();"><option value="">', addslashes($txt['pm_rule_sel_label']), '<\' + \'/option>';

	foreach ($context['labels'] as $label)
		if ($label['id'] != -1)
			echo '<option value="', ($label['id'] + 1), '">', addslashes($label['name']), '<\' + \'/option>';

	echo '<\' + \'/select><\' + \'/span><span id="actionAddHere"><\' + \'/span>\');
			}

			function updateRuleDef(optNum)
			{
				if (document.getElementById("ruletype" + optNum).value == "gid")
				{
					document.getElementById("defdiv" + optNum).style.display = "none";
					document.getElementById("defseldiv" + optNum).style.display = "";
				}
				else if (document.getElementById("ruletype" + optNum).value == "bud" || document.getElementById("ruletype" + optNum).value == "")
				{
					document.getElementById("defdiv" + optNum).style.display = "none";
					document.getElementById("defseldiv" + optNum).style.display = "none";
				}
				else
				{
					document.getElementById("defdiv" + optNum).style.display = "";
					document.getElementById("defseldiv" + optNum).style.display = "none";
				}
			}

			function updateActionDef(optNum)
			{
				if (document.getElementById("acttype" + optNum).value == "lab")
				{
					document.getElementById("labdiv" + optNum).style.display = "";
				}
				else
				{
					document.getElementById("labdiv" + optNum).style.display = "none";
				}
			}

			// Rebuild the rule description!
			function rebuildRuleDesc()
			{
				// Start with nothing.
				var text = "";
				var joinText = "";
				var actionText = "";
				var hadBuddy = false;
				var foundCriteria = false;
				var foundAction = false;
				var curNum, curVal, curDef;

				for (var i = 0; i < document.forms.addrule.elements.length; i++)
				{
					if (document.forms.addrule.elements[i].id.substr(0, 8) == "ruletype")
					{
						if (foundCriteria)
							joinText = document.getElementById("logic").value == \'and\' ? ', JavaScriptEscape(' ' . $txt['pm_readable_and'] . ' '), ' : ', JavaScriptEscape(' ' . $txt['pm_readable_or'] . ' '), ';
						else
							joinText = \'\';
						foundCriteria = true;

						curNum = document.forms.addrule.elements[i].id.match(/\d+/);
						curVal = document.forms.addrule.elements[i].value;
						if (curVal == "gid")
							curDef = document.getElementById("ruledefgroup" + curNum).value.php_htmlspecialchars();
						else if (curVal != "bud")
							curDef = document.getElementById("ruledef" + curNum).value.php_htmlspecialchars();
						else
							curDef = "";

						// What type of test is this?
						if (curVal == "mid" && curDef)
							text += joinText + ', JavaScriptEscape($txt['pm_readable_member']), '.replace("{MEMBER}", curDef);
						else if (curVal == "gid" && curDef && groups[curDef])
							text += joinText + ', JavaScriptEscape($txt['pm_readable_group']), '.replace("{GROUP}", groups[curDef]);
						else if (curVal == "sub" && curDef)
							text += joinText + ', JavaScriptEscape($txt['pm_readable_subject']), '.replace("{SUBJECT}", curDef);
						else if (curVal == "msg" && curDef)
							text += joinText + ', JavaScriptEscape($txt['pm_readable_body']), '.replace("{BODY}", curDef);
						else if (curVal == "bud" && !hadBuddy)
						{
							text += joinText + ', JavaScriptEscape($txt['pm_readable_buddy']), ';
							hadBuddy = true;
						}
					}
					if (document.forms.addrule.elements[i].id.substr(0, 7) == "acttype")
					{
						if (foundAction)
							joinText = ', JavaScriptEscape(' ' . $txt['pm_readable_and'] . ' '), ';
						else
							joinText = "";
						foundAction = true;

						curNum = document.forms.addrule.elements[i].id.match(/\d+/);
						curVal = document.forms.addrule.elements[i].value;
						if (curVal == "lab")
							curDef = document.getElementById("labdef" + curNum).value.php_htmlspecialchars();
						else
							curDef = "";

						// Now pick the actions.
						if (curVal == "lab" && curDef && labels[curDef])
							actionText += joinText + ', JavaScriptEscape($txt['pm_readable_label']), '.replace("{LABEL}", labels[curDef]);
						else if (curVal == "del")
							actionText += joinText + ', JavaScriptEscape($txt['pm_readable_delete']), ';
					}
				}

				// If still nothing make it default!
				if (text == "" || !foundCriteria)
					text = "', $txt['pm_rule_not_defined'], '";
				else
				{
					if (actionText != "")
						text += ', JavaScriptEscape(' ' . $txt['pm_readable_then'] . ' '), ' + actionText;
					text = ', JavaScriptEscape($txt['pm_readable_start']), ' + text + ', JavaScriptEscape($txt['pm_readable_end']), ';
				}

				// Set the actual HTML!
				setInnerHTML(document.getElementById("ruletext"), text);
			}
	// ]]></script>';

	echo '
	<form action="', $scripturl, '?action=pm;sa=manrules;save;rid=', $context['rid'], '" method="post" accept-charset="', $context['character_set'], '" name="addrule" id="addrule" class="flow_hidden">
		<div class="cat_bar">
			<h3 class="catbg">', $context['rid'] == 0 ? $txt['pm_add_rule'] : $txt['pm_edit_rule'], '</h3>
		</div>
		<div class="windowbg">
			<span class="topslice"><span></span></span>
			<div class="content">
				<dl class="addrules">
					<dt class="floatleft">
						<strong>', $txt['pm_rule_name'], ':</strong><br />
						<span class="smalltext">', $txt['pm_rule_name_desc'], '</span>
					</dt>
					<dd class="floatleft">
						<input type="text" name="rule_name" value="', empty($context['rule']['name']) ? $txt['pm_rule_name_default'] : $context['rule']['name'], '" size="50" class="input_text" />
					</dd>
				</dl>
				<fieldset>
					<legend>', $txt['pm_rule_criteria'], '</legend>';

	// Add a dummy criteria to allow expansion for none js users.
	$context['rule']['criteria'][] = array('t' => '', 'v' => '');

	// For each criteria print it out.
	$isFirst = true;
	foreach ($context['rule']['criteria'] as $k => $criteria)
	{
		if (!$isFirst && $criteria['t'] == '')
			echo '<div id="removeonjs1">';
		elseif (!$isFirst)
			echo '<br />';

		echo '
					<select name="ruletype[', $k, ']" id="ruletype', $k, '" onchange="updateRuleDef(', $k, '); rebuildRuleDesc();">
						<option value="">', $txt['pm_rule_criteria_pick'], ':</option>
						<option value="mid" ', $criteria['t'] == 'mid' ? 'selected="selected"' : '', '>', $txt['pm_rule_mid'], '</option>
						<option value="gid" ', $criteria['t'] == 'gid' ? 'selected="selected"' : '', '>', $txt['pm_rule_gid'], '</option>
						<option value="sub" ', $criteria['t'] == 'sub' ? 'selected="selected"' : '', '>', $txt['pm_rule_sub'], '</option>
						<option value="msg" ', $criteria['t'] == 'msg' ? 'selected="selected"' : '', '>', $txt['pm_rule_msg'], '</option>
						<option value="bud" ', $criteria['t'] == 'bud' ? 'selected="selected"' : '', '>', $txt['pm_rule_bud'], '</option>
					</select>
					<span id="defdiv', $k, '" ', !in_array($criteria['t'], array('gid', 'bud')) ? '' : 'style="display: none;"', '>
						<input type="text" name="ruledef[', $k, ']" id="ruledef', $k, '" onkeyup="rebuildRuleDesc();" value="', in_array($criteria['t'], array('mid', 'sub', 'msg')) ? $criteria['v'] : '', '" class="input_text" />
					</span>
					<span id="defseldiv', $k, '" ', $criteria['t'] == 'gid' ? '' : 'style="display: none;"', '>
						<select name="ruledefgroup[', $k, ']" id="ruledefgroup', $k, '" onchange="rebuildRuleDesc();">
							<option value="">', $txt['pm_rule_sel_group'], '</option>';

		foreach ($context['groups'] as $id => $group)
			echo '
							<option value="', $id, '" ', $criteria['t'] == 'gid' && $criteria['v'] == $id ? 'selected="selected"' : '', '>', $group, '</option>';
		echo '
						</select>
					</span>';

		// If this is the dummy we add a means to hide for non js users.
		if ($isFirst)
			$isFirst = false;
		elseif ($criteria['t'] == '')
			echo '</div>';
	}

	echo '
					<span id="criteriaAddHere"></span><br />
					<a href="#" onclick="addCriteriaOption(); return false;" id="addonjs1" style="display: none;">(', $txt['pm_rule_criteria_add'], ')</a>
					<br /><br />
					', $txt['pm_rule_logic'], ':
					<select name="rule_logic" id="logic" onchange="rebuildRuleDesc();">
						<option value="and" ', $context['rule']['logic'] == 'and' ? 'selected="selected"' : '', '>', $txt['pm_rule_logic_and'], '</option>
						<option value="or" ', $context['rule']['logic'] == 'or' ? 'selected="selected"' : '', '>', $txt['pm_rule_logic_or'], '</option>
					</select>
				</fieldset>
				<fieldset>
					<legend>', $txt['pm_rule_actions'], '</legend>';

	// As with criteria - add a dummy action for "expansion".
	$context['rule']['actions'][] = array('t' => '', 'v' => '');

	// Print each action.
	$isFirst = true;
	foreach ($context['rule']['actions'] as $k => $action)
	{
		if (!$isFirst && $action['t'] == '')
			echo '<div id="removeonjs2">';
		elseif (!$isFirst)
			echo '<br />';

		echo '
					<select name="acttype[', $k, ']" id="acttype', $k, '" onchange="updateActionDef(', $k, '); rebuildRuleDesc();">
						<option value="">', $txt['pm_rule_sel_action'] , ':</option>
						<option value="lab" ', $action['t'] == 'lab' ? 'selected="selected"' : '', '>', $txt['pm_rule_label'] , '</option>
						<option value="del" ', $action['t'] == 'del' ? 'selected="selected"' : '', '>', $txt['pm_rule_delete'] , '</option>
					</select>
					<span id="labdiv', $k, '">
						<select name="labdef[', $k, ']" id="labdef', $k, '" onchange="rebuildRuleDesc();">
							<option value="">', $txt['pm_rule_sel_label'], '</option>';
		foreach ($context['labels'] as $label)
			if ($label['id'] != -1)
				echo '
							<option value="', ($label['id'] + 1), '" ', $action['t'] == 'lab' && $action['v'] == $label['id'] ? 'selected="selected"' : '', '>', $label['name'], '</option>';

		echo '
						</select>
					</span>';

		if ($isFirst)
			$isFirst = false;
		elseif ($action['t'] == '')
			echo '
				</div>';
	}

	echo '
					<span id="actionAddHere"></span><br />
					<a href="#" onclick="addActionOption(); return false;" id="addonjs2" style="display: none;">(', $txt['pm_rule_add_action'], ')</a>
				</fieldset>
			</div>
			<span class="botslice"><span></span></span>
		</div><br class="clear" />
		<div class="cat_bar">
			<h3 class="catbg">', $txt['pm_rule_description'], '</h3>
		</div>
		<div class="information">
			<div id="ruletext">', $txt['pm_rule_js_disabled'], '</div>
		</div>
		<div class="righttext">
			<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
			<input type="submit" name="save" value="', $txt['pm_rule_save'], '" class="button_submit" />
		</div>
	</form>';

	// Now setup all the bits!
		echo '
	<script type="text/javascript"><!-- // --><![CDATA[';

	foreach ($context['rule']['criteria'] as $k => $c)
		echo '
			updateRuleDef(', $k, ');';

	foreach ($context['rule']['actions'] as $k => $c)
		echo '
			updateActionDef(', $k, ');';

	echo '
			rebuildRuleDesc();';

	// If this isn't a new rule and we have JS enabled remove the JS compatibility stuff.
	if ($context['rid'])
		echo '
			document.getElementById("removeonjs1").style.display = "none";
			document.getElementById("removeonjs2").style.display = "none";';

	echo '
			document.getElementById("addonjs1").style.display = "";
			document.getElementById("addonjs2").style.display = "";';

	echo '
		// ]]></script>';
}

?>