<?php
// Version: 2.0 RC4; Register

// Before showing users a registration form, show them the registration agreement.
function template_registration_agreement()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
		<form action="', $scripturl, '?action=register" method="post" accept-charset="', $context['character_set'], '" id="registration">
			<p>', $context['agreement'], '</p>';

	// Age restriction in effect?
	if ($context['show_coppa'])
		echo '
			<input type="submit" name="accept_agreement" value="', $context['coppa_agree_above'], '" class="button_submit" data-icon="check" /><br /><br />
			<input type="submit" name="accept_agreement_coppa" value="', $context['coppa_agree_below'], '" class="button_submit" data-icon="check" />';
	else
		echo '
			<input type="submit" name="accept_agreement" value="', $txt['agreement_agree'], '" class="button_submit" data-icon="check" />';

	echo '
			<input type="hidden" name="step" value="1" />
		</form>';

}

// Before registering - get their information.
function template_registration_form()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	// Any errors?
	if (!empty($context['registration_errors']))
	{
		echo '
		<div class="ui-body ui-body-e">
			<span>', $txt['registration_errors_occurred'], '</span>
			<ul class="reset">';

		// Cycle through each error and display an error message.
		foreach ($context['registration_errors'] as $error)
				echo '
				<li>', $error, '</li>';

		echo '
			</ul>
		</div>';
	}

	echo '
		<form action="', $scripturl, '?action=register2" method="post" accept-charset="', $context['character_set'], '">
		<ul data-role="listview" data-inset="true">
			<li data-role="list-divider">', $txt['required_info'], '</li>
			<li data-role="fieldcontain">
				<label for="smf_autov_username">', $txt['username'], ':</label>
				<input type="text" name="user" id="smf_autov_username" maxlength="25" value="', isset($context['username']) ? $context['username'] : '', '" />
			</li>
			<li data-role="fieldcontain">
				<label for="smf_autov_reserve1">', $txt['email'], ':</label>
				<input type="text" name="email" id="smf_autov_reserve1" value="', isset($context['email']) ? $context['email'] : '', '" />
			</li>
			<li data-role="fieldcontain">
				<label for="allow_email">', $txt['allow_user_email'], ':</label>
				<select name="allow_email" id="allow_email" data-role="slider">
					<option value="0">', $txt['no'], '</option>
					<option value="1">', $txt['yes'], '</option>
				</select>
			</li>';

	// If OpenID is enabled, give the user a choice between password and OpenID.
	if (!empty($modSettings['enableOpenID']))
	{
		echo '
			<li data-role="fieldcontain">
				<label for="auth_pass">', $txt['authenticate_label'], ':</label>
				<input type="radio" name="authenticate" value="passwd" id="auth_pass" ', empty($context['openid']) ? 'checked="checked" ' : '', ' />
				<label for="auth_openid">', $txt['authenticate_openid'], '</label>
				<input type="radio" name="authenticate" value="openid" id="auth_openid" ', !empty($context['openid']) ? 'checked="checked" ' : '', ' />
			</li>';
	}

	echo '
			<li data-role="fieldcontain">
				<label for="smf_autov_pwmain">', $txt['choose_pass'], ':</label>
				<input type="password" name="passwrd1" id="smf_autov_pwmain" class="input_password" />
			</li>
			<li data-role="fieldcontain">
				<label for="smf_autov_pwverify">', $txt['verify_pass'], ':</label>
				<input type="password" name="passwrd2" id="smf_autov_pwverify" class="input_password" />
			</li>';

	// If OpenID is enabled, give the user a choice between password and OpenID.
	if (!empty($modSettings['enableOpenID']))
	{
		echo '

			<li data-role="fieldcontain">
				<label for="openid_url">', $txt['authenticate_openid_url'], ':</label>
				<input type="text" name="openid_identifier" id="openid_url" value="', isset($context['openid']) ? $context['openid'] : '', '" />
			</li>';

	}

	if ($context['visual_verification'])
	{
		echo template_control_verification($context['visual_verification_id'], 'all'), '';
	}

	echo '
			<li data-role="fieldcontain">
				<input type="submit" name="regSubmit" value="', $txt['register'], '" data-icon="check" />
			</li>
		</ul>
			<input type="hidden" name="step" value="2" />
		</form>';
}

// After registration... all done ;).
function template_after()
{
	global $context, $settings, $options, $txt, $scripturl;

	// Not much to see here, just a quick... "you're now registered!" or what have you.
	echo '
		<div id="registration_success">
			<div class="cat_bar">
				<h3 class="catbg">', $context['title'], '</h3>
			</div>
			<div class="windowbg">
				<span class="topslice"><span></span></span>
				<p class="content">', $context['description'], '</p>
				<span class="botslice"><span></span></span>
			</div>
		</div>';
}

// Template for giving instructions about COPPA activation.
function template_coppa()
{
	global $context, $settings, $options, $txt, $scripturl;

	// Formulate a nice complicated message!
	echo '
			<div class="title_bar">
				<h3 class="titlebg">', $context['page_title'], '</h3>
			</div>
			<div class="windowbg2">
				<span class="topslice"><span></span></span>
				<div class="content">
					<p>', $context['coppa']['body'], '</p>
					<p>
						<span><a href="', $scripturl, '?action=coppa;form;member=', $context['coppa']['id'], '" target="_blank" class="new_win">', $txt['coppa_form_link_popup'], '</a> | <a href="', $scripturl, '?action=coppa;form;dl;member=', $context['coppa']['id'], '">', $txt['coppa_form_link_download'], '</a></span>
					</p>
					<p>', $context['coppa']['many_options'] ? $txt['coppa_send_to_two_options'] : $txt['coppa_send_to_one_option'], '</p>';

	// Can they send by post?
	if (!empty($context['coppa']['post']))
	{
		echo '
					<h4>1) ', $txt['coppa_send_by_post'], '</h4>
					<div class="coppa_contact">
						', $context['coppa']['post'], '
					</div>';
	}

	// Can they send by fax??
	if (!empty($context['coppa']['fax']))
	{
		echo '
					<h4>', !empty($context['coppa']['post']) ? '2' : '1', ') ', $txt['coppa_send_by_fax'], '</h4>
					<div class="coppa_contact">
						', $context['coppa']['fax'], '
					</div>';
	}

	// Offer an alternative Phone Number?
	if ($context['coppa']['phone'])
	{
		echo '
					<p>', $context['coppa']['phone'], '</p>';
	}
	echo '
				</div>
				<span class="botslice"><span></span></span>
			</div>';
}

// An easily printable form for giving permission to access the forum for a minor.
function template_coppa_form()
{
	global $context, $settings, $options, $txt, $scripturl;

	// Show the form (As best we can)
	echo '
		<table border="0" width="100%" cellpadding="3" cellspacing="0" class="tborder" align="center">
			<tr>
				<td align="left">', $context['forum_contacts'], '</td>
			</tr><tr>
				<td align="right">
					<em>', $txt['coppa_form_address'], '</em>: ', $context['ul'], '<br />
					', $context['ul'], '<br />
					', $context['ul'], '<br />
					', $context['ul'], '
				</td>
			</tr><tr>
				<td align="right">
					<em>', $txt['coppa_form_date'], '</em>: ', $context['ul'], '
					<br /><br />
				</td>
			</tr><tr>
				<td align="left">
					', $context['coppa_body'], '
				</td>
			</tr>
		</table>
		<br />';
}

// Show a window containing the spoken verification code.
function template_verification_sound()
{
	global $context, $settings, $options, $txt, $scripturl;

	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<title>', $context['page_title'], '</title>
		<meta name="robots" content="noindex" />
		<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/index.css" />
		<style type="text/css">';

	// Just show the help text and a "close window" link.
	echo '
		</style>
	</head>
	<body style="margin: 1ex;">
		<div class="popuptext" style="text-align: center;">';
	if ($context['browser']['is_ie'])
		echo '
			<object classid="clsid:22D6F312-B0F6-11D0-94AB-0080C74C7E95" type="audio/x-wav">
				<param name="AutoStart" value="1" />
				<param name="FileName" value="', $context['verification_sound_href'], '" />
			</object>';
	else
		echo '
			<object type="audio/x-wav" data="', $context['verification_sound_href'], '">
				<a href="', $context['verification_sound_href'], '" rel="nofollow">', $context['verification_sound_href'], '</a>
			</object>';
	echo '
			<br />
			<a href="', $context['verification_sound_href'], ';sound" rel="nofollow">', $txt['visual_verification_sound_again'], '</a><br />
			<a href="javascript:self.close();">', $txt['visual_verification_sound_close'], '</a><br />
			<a href="', $context['verification_sound_href'], '" rel="nofollow">', $txt['visual_verification_sound_direct'], '</a>
		</div>
	</body>
</html>';
}

function template_admin_register()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
	<div id="admincenter">
		<div class="cat_bar">
			<h3 class="catbg">', $txt['admin_browse_register_new'], '</h3>
		</div>
		<form class="windowbg2" action="', $scripturl, '?action=admin;area=regcenter" method="post" accept-charset="', $context['character_set'], '" name="postForm" id="postForm">
			<span class="topslice"><span></span></span>
			<script type="text/javascript"><!-- // --><![CDATA[
				function onCheckChange()
				{
					if (document.forms.postForm.emailActivate.checked || document.forms.postForm.password.value == \'\')
					{
						document.forms.postForm.emailPassword.disabled = true;
						document.forms.postForm.emailPassword.checked = true;
					}
					else
						document.forms.postForm.emailPassword.disabled = false;
				}
			// ]]></script>
			<div class="content" id="register_screen">';

	if (!empty($context['registration_done']))
		echo '
				<div class="windowbg" id="profile_success">
					', $context['registration_done'], '
				</div>';

	echo '
				<dl class="register_form" id="admin_register_form">
					<dt>
						<strong><label for="user_input">', $txt['admin_register_username'], ':</label></strong>
						<span class="smalltext">', $txt['admin_register_username_desc'], '</span>
					</dt>
					<dd>
						<input type="text" name="user" id="user_input" tabindex="', $context['tabindex']++, '" size="30" maxlength="25" class="input_text" />
					</dd>
					<dt>
						<strong><label for="email_input">', $txt['admin_register_email'], ':</label></strong>
						<span class="smalltext">', $txt['admin_register_email_desc'], '</span>
					</dt>
					<dd>
						<input type="text" name="email" id="email_input" tabindex="', $context['tabindex']++, '" size="30" class="input_text" />
					</dd>
					<dt>
						<strong><label for="password_input">', $txt['admin_register_password'], ':</label></strong>
						<span class="smalltext">', $txt['admin_register_password_desc'], '</span>
					</dt>
					<dd>
						<input type="password" name="password" id="password_input" tabindex="', $context['tabindex']++, '" size="30" class="input_password" onchange="onCheckChange();" />
					</dd>';

	if (!empty($context['member_groups']))
	{
		echo '
					<dt>
						<strong><label for="group_select">', $txt['admin_register_group'], ':</label></strong>
						<span class="smalltext">', $txt['admin_register_group_desc'], '</span>
					</dt>
					<dd>
						<select name="group" id="group_select" tabindex="', $context['tabindex']++, '">';

		foreach ($context['member_groups'] as $id => $name)
			echo '
							<option value="', $id, '">', $name, '</option>';

		echo '
						</select>
					</dd>';
	}

	echo '
					<dt>
						<strong><label for="emailPassword_check">', $txt['admin_register_email_detail'], ':</label></strong>
						<span class="smalltext">', $txt['admin_register_email_detail_desc'], '</span>
					</dt>
					<dd>
						<input type="checkbox" name="emailPassword" id="emailPassword_check" tabindex="', $context['tabindex']++, '" checked="checked" disabled="disabled" class="input_check" />
					</dd>
					<dt>
						<strong><label for="emailActivate_check">', $txt['admin_register_email_activate'], ':</label></strong>
					</dt>
					<dd>
						<input type="checkbox" name="emailActivate" id="emailActivate_check" tabindex="', $context['tabindex']++, '"', !empty($modSettings['registration_method']) && $modSettings['registration_method'] == 1 ? ' checked="checked"' : '', ' onclick="onCheckChange();" class="input_check" />
					</dd>
				</dl>
				<div class="righttext">
					<input type="submit" name="regSubmit" value="', $txt['register'], '" tabindex="', $context['tabindex']++, '" class="button_submit" />
					<input type="hidden" name="sa" value="register" />
				</div>
			</div>
			<span class="botslice"><span></span></span>
			<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
		</form>
	</div>
	<br class="clear" />';
}

// Form for editing the agreement shown for people registering to the forum.
function template_edit_agreement()
{
	global $context, $settings, $options, $scripturl, $txt;

	// Just a big box to edit the text file ;).
	echo '
		<div class="cat_bar">
			<h3 class="catbg">', $txt['registration_agreement'], '</h3>
		</div>';

	// Warning for if the file isn't writable.
	if (!empty($context['warning']))
		echo '
		<p class="error">', $context['warning'], '</p>';

	echo '
		<div class="windowbg2" id="registration_agreement">
			<span class="topslice"><span></span></span>
			<div class="content">';

	// Is there more than one language to choose from?
	if (count($context['editable_agreements']) > 1)
	{
		echo '
				<div class="information">
					<form action="', $scripturl, '?action=admin;area=regcenter" id="change_reg" method="post" accept-charset="', $context['character_set'], '" style="display: inline;">
						<strong>', $txt['admin_agreement_select_language'], ':</strong>&nbsp;
						<select name="agree_lang" onchange="document.getElementById(\'change_reg\').submit();" tabindex="', $context['tabindex']++, '">';

		foreach ($context['editable_agreements'] as $file => $name)
			echo '
							<option value="', $file, '" ', $context['current_agreement'] == $file ? 'selected="selected"' : '', '>', $name, '</option>';

		echo '
						</select>
						<div class="righttext">
							<input type="hidden" name="sa" value="agreement" />
							<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
							<input type="submit" name="change" value="', $txt['admin_agreement_select_language_change'], '" tabindex="', $context['tabindex']++, '" class="button_submit" />
						</div>
					</form>
				</div>';
	}

	echo '
				<form action="', $scripturl, '?action=admin;area=regcenter" method="post" accept-charset="', $context['character_set'], '">';

	// Show the actual agreement in an oversized text box.
	echo '
					<p class="agreement">
						<textarea cols="70" rows="20" name="agreement" id="agreement">', $context['agreement'], '</textarea>
					</p>
					<p>
						<label for="requireAgreement"><input type="checkbox" name="requireAgreement" id="requireAgreement"', $context['require_agreement'] ? ' checked="checked"' : '', ' tabindex="', $context['tabindex']++, '" value="1" class="input_check" /> ', $txt['admin_agreement'], '.</label>
					</p>
					<div class="righttext">
						<input type="submit" value="', $txt['save'], '" tabindex="', $context['tabindex']++, '" class="button_submit" />
						<input type="hidden" name="agree_lang" value="', $context['current_agreement'], '" />
						<input type="hidden" name="sa" value="agreement" />
						<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
					</div>
				</form>
			</div>
			<span class="botslice"><span></span></span>
		</div>
		<br class="clear" />';
}

function template_edit_reserved_words()
{
	global $context, $settings, $options, $scripturl, $txt;

	echo '
		<div class="cat_bar">
			<h3 class="catbg">', $txt['admin_reserved_set'], '</h3>
		</div>
		<form id="registration_agreement" class="windowbg2" action="', $scripturl, '?action=admin;area=regcenter" method="post" accept-charset="', $context['character_set'], '">
			<span class="topslice"><span></span></span>
			<div class="content">
				<h4>', $txt['admin_reserved_line'], '</h4>
				<p class="reserved_names">
					<textarea cols="30" rows="6" name="reserved" style="width: 100%;">', implode("\n", $context['reserved_words']), '</textarea>
				</p>
				<ul class="reset">
					<li><label for="matchword"><input type="checkbox" name="matchword" id="matchword" tabindex="', $context['tabindex']++, '" ', $context['reserved_word_options']['match_word'] ? 'checked="checked"' : '', ' class="input_check" /> ', $txt['admin_match_whole'], '</label></li>
					<li><label for="matchcase"><input type="checkbox" name="matchcase" id="matchcase" tabindex="', $context['tabindex']++, '" ', $context['reserved_word_options']['match_case'] ? 'checked="checked"' : '', ' class="input_check" /> ', $txt['admin_match_case'], '</label></li>
					<li><label for="matchuser"><input type="checkbox" name="matchuser" id="matchuser" tabindex="', $context['tabindex']++, '" ', $context['reserved_word_options']['match_user'] ? 'checked="checked"' : '', ' class="input_check" /> ', $txt['admin_check_user'], '</label></li>
					<li><label for="matchname"><input type="checkbox" name="matchname" id="matchname" tabindex="', $context['tabindex']++, '" ', $context['reserved_word_options']['match_name'] ? 'checked="checked"' : '', ' class="input_check" /> ', $txt['admin_check_display'], '</label></li>
				</ul>
				<div class="righttext">
					<input type="submit" value="', $txt['save'], '" name="save_reserved_names" tabindex="', $context['tabindex']++, '" style="margin: 1ex;" class="button_submit" />
				</div>
			</div>
			<span class="botslice"><span></span></span>
			<input type="hidden" name="sa" value="reservednames" />
			<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
		</form>
		<br class="clear" />';
}

?>