<?php
// Version: 2.0 RC4; Search

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	echo '
	<form action="', $scripturl, '?action=search2" method="post" accept-charset="', $context['character_set'], '">';

	if (!empty($context['search_errors']))
		echo '
		<div class="ui-body ui-body-e">', implode('<br />', $context['search_errors']['messages']), '</div>';

	echo '
		<div data-role="fieldcontain">
			<label for="search">', $txt['search_for'], ':</label>
			<input type="search" name="search"', !empty($context['search_params']['search']) ? ' value="' . $context['search_params']['search'] . '"' : '', ' maxlength="', $context['search_string_limit'], '" id="search" />
		</div>
		', $context['require_verification'] ? '' : '&nbsp;<input type="submit" name="submit" value="' . $txt['search'] . '" class="button_submit" data-icon="search" />';

		if ($context['require_verification'])
			echo '
		<div class="verification>
			<strong>', $txt['search_visual_verification_label'], ':</strong>
			<br />', template_control_verification($context['visual_verification_id'], 'all'), '<br />
			<input id="submit" type="submit" name="submit" value="' . $txt['search'] . '" class="button_submit" />
		</div>';

		echo '
		<input type="hidden" name="advanced" value="0" />';

	echo '
	</form>';
}

function template_results()
{
	global $context, $settings, $options, $txt, $scripturl, $message;

	if (isset($context['did_you_mean']) || empty($context['topics']))
	{
		echo '
	<div id="search_results">
		<div class="cat_bar">
			<h3 class="catbg">
				', $txt['search_adjust_query'], '
			</h3>
		</div>
		<span class="upperframe"><span></span></span>
		<div class="roundframe">';

		// Did they make any typos or mistakes, perhaps?
		if (isset($context['did_you_mean']))
			echo '
			<p>', $txt['search_did_you_mean'], ' <a href="', $scripturl, '?action=search2;params=', $context['did_you_mean_params'], '">', $context['did_you_mean'], '</a>.</p>';

		echo '
			<form action="', $scripturl, '?action=search2" method="post" accept-charset="', $context['character_set'], '">
				<strong>', $txt['search_for'], ':</strong>
				<input type="text" name="search"', !empty($context['search_params']['search']) ? ' value="' . $context['search_params']['search'] . '"' : '', ' maxlength="', $context['search_string_limit'], '" size="40" class="input_text" />
				<input type="submit" name="submit" value="', $txt['search_adjust_submit'], '" class="button_submit" />
				<input type="hidden" name="searchtype" value="', !empty($context['search_params']['searchtype']) ? $context['search_params']['searchtype'] : 0, '" />
				<input type="hidden" name="userspec" value="', !empty($context['search_params']['userspec']) ? $context['search_params']['userspec'] : '', '" />
				<input type="hidden" name="show_complete" value="', !empty($context['search_params']['show_complete']) ? 1 : 0, '" />
				<input type="hidden" name="subject_only" value="', !empty($context['search_params']['subject_only']) ? 1 : 0, '" />
				<input type="hidden" name="minage" value="', !empty($context['search_params']['minage']) ? $context['search_params']['minage'] : '0', '" />
				<input type="hidden" name="maxage" value="', !empty($context['search_params']['maxage']) ? $context['search_params']['maxage'] : '9999', '" />
				<input type="hidden" name="sort" value="', !empty($context['search_params']['sort']) ? $context['search_params']['sort'] : 'relevance', '" />';

		if (!empty($context['search_params']['brd']))
			foreach ($context['search_params']['brd'] as $board_id)
				echo '
				<input type="hidden" name="brd[', $board_id, ']" value="', $board_id, '" />';

		echo '
			</form>
		</div>
		<span class="lowerframe"><span></span></span>
	</div><br />';
	}

	while ($topic = $context['get_topics']())
	{
		foreach ($topic['matches'] as $message)
		{
	echo '
		<ul data-role="listview" data-inset="true">';
			echo '
			<li data-role="list-divider">
				', $topic['board']['name'], ' / ', $message['subject_highlighted'], '
				<span class="smalltext">&#171;&nbsp;',$txt['by'],'&nbsp;<strong>', $message['member']['name'], '</strong>&nbsp;',$txt['on'],'&nbsp;<em>', date('d M, Y H:i', $message['timestamp']), '</em>&nbsp;&#187;</span>
			</li>
			<li class="smalltext" data-theme="c">
				<a href="', $scripturl, '?topic=', $topic['id'], '.msg', $message['id'], '#msg', $message['id'], '">
					<img src="', $message['icon_url'], '" alt="" class="ui-li-icon" />';

				if ($message['body_highlighted'] != '')
					echo '
						', $message['body_highlighted'];
					echo '
				</a>
				', $topic['board']['link'], '
			</li>
		</ul>';
		}
	}

	if (!empty($context['topics']))
		echo '
		<div class="pagesection">
			<span>', $txt['pages'], ': ', $context['page_index'], '</span>
		</div>';
}

?>